<?php


namespace WpieApp\Core\Page\Blocks\Fields;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class SystemInfo {

        
        const TYPE = "system-info";

        
        public static function render( $field ) {

                $data = isset( $field[ 'data' ] ) && Helper::isNonEmptyArray( $field[ 'data' ] ) ? $field[ 'data' ] : [];
                ?>
                <div class="wpie-debug-wrapper bse-fs-14 text-break">

                        <?php
                        if ( Helper::isNonEmptyArray( $data ) ) {

                                $data = Helper::sortBy( $data );

                                foreach ( $data as $section ) {
                                        self::renderData( $section );
                                }
                        }
                        ?>
                </div>

                <?php
        }

        
        private static function renderData( $section = [] ) {
                $label  = isset( $section[ 'label' ] ) ? $section[ 'label' ] : "";
                $data   = isset( $section[ 'data' ] ) && Helper::isNonEmptyArray( $section[ 'data' ] ) ? $section[ 'data' ] : [];
                ?>
                <div class="wpie-debug-log-wrapper container mb-4">
                        <div class="row gap-3">
                                <div class="col-12 m-0 p-0">
                                        <div class="wpie-field-label mb-3 border-bottom pb-2 bse-text-orange bse-fw-600 bse-fs-16"><?php echo esc_html( $label ); ?></div>
                                </div>

                                <div class=" border rounded-1 mb-3 bg-light col-12">

                                        <?php
                                        $border = false;
                                        foreach ( $data as $info ) {
                                                $fieldLabel  = isset( $info[ 'label' ] ) ? $info[ 'label' ] : "";
                                                $fieldData   = isset( $info[ 'data' ] ) ? $info[ 'data' ] : "";
                                                $class   = isset( $info[ 'class' ] ) ? $info[ 'class' ] : "";
                                                $borderClass = $border ? "border-top" : "";
                                                $border      = true;
                                                ?>
                                                <div class="row m-0 p-3 <?php echo esc_attr( $borderClass ); ?>">
                                                        <div class="col m-auto"><?php echo esc_html( $fieldLabel ); ?></div>	 
                                                        <div class="col m-auto bse-fw-600 <?php echo esc_attr( $class ); ?>">
                                                                <?php
                                                                if ( $fieldData === true ) {
                                                                        echo '<i class="fa-solid fa-circle-check text-success bse-fs-20"></i>';
                                                                } elseif ( $fieldData === false ) {
                                                                        echo '<i class="fa-solid fa-circle-xmark text-danger bse-fs-20"></i>';
                                                                } else {
                                                                        echo esc_html( $fieldData );
                                                                }
                                                                ?>
                                                        </div>	 
                                                </div>	
                                                <?php
                                        }
                                        ?>

                                </div>



                        </div>


                </div>

                <?php
        }

}
