<?php


namespace WpieApp\Core\Page\Blocks\Templates\ImportProcess;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Core\Page\Blocks\Fields;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function render( $data = [] ) {

                $manageImportUrl    = Helper::adminUrl( 'wpie-logs' );
                $manageSchedulesUrl = Helper::adminUrl( 'wpie-schedules' );

                $bgUid = Helper::randStr( "wpie-modal-" );
                ?>
                <div class="wpie-section wpie-importing-data me-3 bg-white border pb-4 d-none mt-4">
                        <div class="mb-4 text-center border-bottom py-4">
                                <h2 class="m-0 wpie-import-processing-header-label"><?php esc_html_e( 'Import', 'wp-import-export' ); ?></h2>
                        </div>
                        <div class="m-auto text-center bse-fs-14 text-success mx-2 wpie-import-processing-header-info bse-fw-500"></div>
                        <div class="mx-atuo text-center my-5 wpie-import-waiting-btns">
                                <button type="button" class="btn btn-primary btn-lg wpie-start-import-btn  me-4"><i class="fa-solid fa-play me-2"></i><?php esc_html_e( 'Start', 'wp-import-export' ); ?></button>
                                <button type="button" class="btn btn-primary btn-lg wpie-bg-import-btn"><i class="fa-solid fa-arrows-spin me-2"></i><?php esc_html_e( 'Import In Background', 'wp-import-export' ); ?></button>
                        </div>                      
                        <div class="mx-atuo text-center my-5 wpie-import-processing-btns d-none">
                                <button type="button" class="btn btn-success btn-lg wpie-resume-import-btn d-none me-4"><i class="fa-solid fa-play me-2"></i><?php esc_html_e( 'Resume', 'wp-import-export' ); ?></button>
                                <button type="button" class="btn btn-primary btn-lg wpie-pause-import-btn me-4"><i class="fa-solid fa-pause me-2"></i><?php esc_html_e( 'Pause', 'wp-import-export' ); ?></button>
                                <button type="button" class="btn btn-danger btn-lg wpie-stop-import-btn me-4"><i class="fa-solid fa-circle-stop me-2"></i><?php esc_html_e( 'Stop', 'wp-import-export' ); ?></button>
                                <button type="button" class="btn btn-primary btn-lg wpie-bg-import-btn"><i class="fa-solid fa-arrows-spin me-2"></i><?php esc_html_e( 'Import In Background', 'wp-import-export' ); ?></button>
                        </div>
                        <div class="mx-atuo text-center my-5 wpie-import-completed-btns d-none">				
                                <button type="button" class="btn btn-primary btn-lg wpie-view-log-btn me-4"><i class="fa-solid fa-list-check me-2"></i><?php esc_html_e( 'Download Log', 'wp-import-export' ); ?></button>
                                <a href="<?php echo esc_url( $manageImportUrl ); ?>" class="shadow-none text-white btn btn-primary btn-lg wpie-manage-import-btn"><i class="fa-solid fa-gears me-2"></i><?php esc_html_e( 'Manage Imports', 'wp-import-export' ); ?></a>
                        </div>
                        <div class="mx-atuo text-center my-5 wpie-import-schedule-btns d-none">				
                                <a href="<?php echo esc_url( $manageSchedulesUrl ); ?>" class="shadow-none text-white btn btn-primary btn-lg wpie-manage-schedule-btn me-4"><i class="fa-solid fa-gears me-2"></i><?php esc_html_e( 'Manage Schedules', 'wp-import-export' ); ?></a>
                                <a href="<?php echo esc_url( $manageImportUrl ); ?>" class="shadow-none text-white btn btn-primary btn-lg wpie-manage-import-btn"><i class="fa-solid fa-gears me-2"></i><?php esc_html_e( 'Manage Imports', 'wp-import-export' ); ?></a>                                
                        </div>
                        <div class="row wpie-import-process-container">
                                <div class="col-lg-3 m-auto">
                                        <div class="wpie-circle wpie-circle-50-plus wpie-import-processbar">
                                                <span class="wpie-circle-percentage wpie-import-process-percentage"></span>
                                                <div class="wpie-slice">
                                                        <div class="wpie-bar"></div>
                                                        <div class="wpie-fill"></div>
                                                </div>
                                        </div>
                                </div>
                                <div class="col-lg-3">
                                        <div class="mb-5 border-start border-2 px-3">
                                                <div class="wpie-import-process-status bse-fs-24 bse-fw-500 bse-text-orange wpie-import-processing-info"><?php esc_html_e( 'Waiting', 'wp-import-export' ); ?></div>
                                                <div class="bse-fs-14 bse-fw-500 text-secondary"><?php esc_html_e( 'Status', 'wp-import-export' ); ?></div>
                                        </div>
                                        <div class="mb-5 border-start border-2 px-3">
                                                <div class="wpie-import-process-time bse-fs-24 bse-fw-500 bse-text-orange wpie-import-processing-info"></div>
                                                <div class="bse-fs-14 bse-fw-500 text-secondary"><?php esc_html_e( 'Time', 'wp-import-export' ); ?></div>
                                        </div>
                                        <div class="mb-5 border-start border-2 px-3">
                                                <div class="wpie-import-process-file bse-fs-24 bse-fw-500 bse-text-orange wpie-import-processing-info text-break"></div>
                                                <div class="bse-fs-14 bse-fw-500 text-secondary"><?php esc_html_e( 'File', 'wp-import-export' ); ?></div>
                                        </div>
                                </div>
                                <div class="col-lg-3">
                                        <div class="mb-5 border-start border-2 px-3">
                                                <div class="wpie-import-process-total bse-fs-24 bse-fw-500 bse-text-orange wpie-import-processing-info"></div>
                                                <div class="bse-fs-14 bse-fw-500 text-secondary"><?php esc_html_e( 'Total', 'wp-import-export' ); ?></div>
                                        </div>
                                        <div class="mb-5 border-start border-2 px-3">
                                                <div class="wpie-import-process-processed bse-fs-24 bse-fw-500 bse-text-orange wpie-import-processing-info"></div>
                                                <div class="bse-fs-14 bse-fw-500 text-secondary"><?php esc_html_e( 'Processed', 'wp-import-export' ); ?></div>
                                        </div>

                                </div>
                                <div class="col-lg-3">
                                        <div class="mb-5 border-start border-2 px-3">
                                                <div class="wpie-import-process-created bse-fs-24 bse-fw-500 bse-text-orange wpie-import-processing-info"></div>
                                                <div class="bse-fs-14 bse-fw-500 text-secondary"><?php esc_html_e( 'Created', 'wp-import-export' ); ?></div>
                                        </div>
                                        <div class="mb-5 border-start border-2 px-3">
                                                <div class="wpie-import-process-updated bse-fs-24 bse-fw-500 bse-text-orange wpie-import-processing-info"></div>
                                                <div class="bse-fs-14 bse-fw-500 text-secondary"><?php esc_html_e( 'Updated', 'wp-import-export' ); ?></div>
                                        </div>
                                        <div class="mb-5 border-start border-2 px-3">
                                                <div class="wpie-import-process-skipped bse-fs-24 bse-fw-500 bse-text-orange wpie-import-processing-info"></div>
                                                <div class="bse-fs-14 bse-fw-500 text-secondary"><?php esc_html_e( 'Skipped', 'wp-import-export' ); ?></div>
                                        </div>
                                </div>

                        </div>
                        <div class="modal fade <?php echo esc_attr( $bgUid ); ?> wpie-import-bg-notice-modal">
                                <div class="modal-dialog  modal-dialog-centered modal-lg modal-dialog-scrollable">
                                        <div class="modal-content">
                                                <div class="modal-header">
                                                        <h5 class="modal-title" ><?php esc_html_e( 'Import In Background', 'wp-import-export' ); ?></h5>
                                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                </div>
                                                <div class="modal-body p-4 bg-white bg-opacity-75">
                                                        <div class="wpie-backdrop container">
                                                                <div class="row text-center">                                        
                                                                        <div class="col-12 mb-3">
                                                                                <i class="fa-solid fa-lock bse-fs-24 p-3 rounded-circle border border-danger text-danger border-2 "></i>
                                                                        </div>                                        
                                                                        <div class="col-12 mb-3 bse-fs-18 text-danger bse-fw-600">
                                                                                <?php esc_html_e( 'Setup Required', 'wp-import-export' ); ?>
                                                                        </div>
                                                                        <div class="col-12 mb-5 ">
                                                                                <?php esc_html_e( 'Import In Background required 2 min cron to import data. Please click on "Setup Guide" button for setup instruction.', 'wp-import-export' ); ?>
                                                                        </div>
                                                                        <div class="col-auto align-self-center m-auto">
                                                                                <a target="_blank" href="<?php echo \esc_url( Helper::adminUrl( 'wpie-background' ) ); ?>" target="_blank" class="shadow-none text-white btn btn-lg mx-3 btn-success"><i class="fa-solid fa-lock-open me-2"></i><?php esc_html_e( 'Setup Guide', 'wp-import-export' ); ?></a>
                                                                        </div>                                       
                                                                </div>
                                                        </div>
                                                </div>
                                        </div>
                                </div>
                        </div>
                </div>
                <?php
        }
}
