<?php


namespace WpieApp\Core\Page\Templates\Export;

use WpieApp\Core\Page\Blocks\Blocks;
use WpieApp\Core\Page\Blocks\Fields\Alert;
use WpieApp\Core\Page\Templates\Standard\Header as BaseHeader;

defined( 'WPIE__FILE__' ) || exit;


class Header extends BaseHeader {

        
        public static function render( $data = [] ) {
                ?>
                <div class="wpie-section mb-0 wpie-filter-and-option-header d-none">
                        <div class="row px-2 py-3 bg-white mt-4 me-3 ms-0 border ">
                                <div class="col-auto align-self-start m-auto ms-0 py-1"><div class="bse-fs-18 bse-fw-500 wpie-step-title"><?php esc_html_e( 'Apply Filters & Options', 'wp-import-export' ); ?></div></div>
                                <div class="col-auto align-self-end"><button type="button" class="btn btn-secondary justify-content-end wpie-preview-btn"><i class="bse-fs-14 me-1 fa-solid fa-eye"></i><?php esc_html_e( 'Preview', 'wp-import-export' ); ?></button></div>
                                <div class="col-auto align-self-end"><button type="button" class="btn btn-primary justify-content-end wpie-export-btn"><i class="bse-fs-14 me-1 fa-solid fa-file-export"></i><?php esc_html_e( 'Export', 'wp-import-export' ); ?></button></div>
                        </div>
                        <?php
                        Alert::render(
                                [
                                        "type"        => "success",
                                        "icon-class"  => "fa-solid fa-circle-info",
                                        "class"       => "mt-3 me-3",
                                        "preHtmlTags" => [ 'span' => [ 'class' => true ] ],
                                        "text"        => '<span class="wpie-header-data-count bse-fw-600">' . esc_html__( 'No', 'wp-import-export' ) . '</span>' .
                                        '<span class="wpie-header-content-type px-1">' . esc_html__( 'Records', 'wp-import-export' ) . '</span>' .
                                        '<span class="wpie-header-alert-text">' . esc_html__( 'Founded', 'wp-import-export' ) . '</span>'
                                ]
                        );
                        ?>
                </div>
                <?php
                Blocks::render( $data );
        }
}
