<?php



namespace WpieApp\Core\Utils;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Core\Utils\Archive\ZipHandler;
use WpieApp\Core\Utils\Archive\ArchiveHandler;

defined( 'WPIE__FILE__' ) || exit;


class Archive {

        
        public static function canOpen( $format ) {
                if ( 'zip' === Helper::sanitizeKey( $format ) && true === ZipHandler::canOpen(  ) ) {

                        return true;
                }
                return ArchiveHandler::canOpen( $format );
        }

        
        public static function create( $fileOrFiles, $archiveName ) {

                if ( 'zip' === Helper::getFileExt( $archiveName ) && true === ZipHandler::create( $archiveName, $fileOrFiles ) ) {

                        return true;
                }

                return ArchiveHandler::create( $archiveName, $fileOrFiles );
        }

        
        public static function getFileList( $file = "", $options = [] ) {

                if ( 'zip' === Helper::getFileExt( $file ) ) {

                        $fileList = ZipHandler::getFileList( $file, $options );

                        if ( !\is_wp_error( $fileList ) ) {
                                return $fileList;
                        }
                }

                return ArchiveHandler::getFileList( $file, $options );
        }

        
        public static function extract( $file = "", $filename = "", $options = [] ) {

                if ( 'zip' === Helper::getFileExt( $file ) ) {

                        $filePath = ZipHandler::extract( $file, $filename, $options );

                        if ( !\is_wp_error( $filePath ) ) {
                                return $filePath;
                        }
                }

                return ArchiveHandler::extract( $file, $filename, $options );
        }
}
