<?php



namespace WpieApp\Extensions;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Assets {

        
        Private static $styles = [];

        
        Private static $scripts = [];

        
        public static function enqueue() {

                \add_filter( 'Wpie/Enqueue/Styles', [ __CLASS__, 'enqueueStyles' ] );

                \add_filter( 'Wpie/Enqueue/Scripts', [ __CLASS__, 'enqueueScripts' ] );
        }

        
        public static function add( $data = [] ) {

                if ( !Helper::isNonEmptyArray( $data ) ) {
                        return false;
                }

                if ( isset( $data[ 'styles' ] ) ) {
                        self::addStyles( $data[ 'styles' ] );
                }

                if ( isset( $data[ 'scripts' ] ) ) {
                        self::addScripts( $data[ 'scripts' ] );
                }
        }

        
        private static function addStyles( $styles = [] ) {

                if ( !Helper::isNonEmptyArray( $styles ) ) {
                        return false;
                }

                self::$styles = array_merge( self::$styles, $styles );
        }

        
        public static function enqueueStyles( $styles = [] ) {

                if ( Helper::isNonEmptyArray( self::$styles ) ) {
                        $styles = array_merge( self::$styles, $styles );
                }

                return $styles;
        }

        
        private static function addScripts( $scripts = [] ) {
                if ( !Helper::isNonEmptyArray( $scripts ) ) {
                        return false;
                }

                self::$scripts = array_merge( self::$scripts, $scripts );
        }

        
        public static function enqueueScripts( $scripts = [] ) {

                if ( Helper::isNonEmptyArray( self::$scripts ) ) {
                        $scripts = array_merge( self::$scripts, $scripts );
                }

                return $scripts;
        }

}
