<?php



namespace WpieApp\Extensions\Export\Acf\Controller\Items\Post;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Extensions\Export\Acf\Controller\Items\Post\Fields\Acf;
use WpieApp\Extensions\Export\Acf\Controller\Items\Base\Fields as BaseFields;

defined( 'WPIE__FILE__' ) || exit;


class Fields extends BaseFields {

        
        public static function get( $fields = [], $contentType = '' ) {

                $acfFields = Acf::get();

                return Helper::isNonEmptyArray( $acfFields ) ? array_replace( $fields, $acfFields ) : $fields;
        }

        
        public static function excludeMeta( $metas = [], $contentType = '' ) {

                $where = [
                        " AND `postmeta`.`meta_value` NOT IN ( " . parent::excludeValueQuery() . " ) ",
                        " AND `postmeta`.`meta_key` NOT IN ( " . parent::excludeKeyQuery() . " ) ",
                ];

                
                $where = \apply_filters( 'Wpie/Export/Post/Fields/Meta/Query/Where/Acf', $where );

                return array_merge( $metas, $where );
        }

}
