<?php



namespace WpieApp\Extensions\Export\RankMathSeo\Controller\Items\User\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Export\RankMathSeo\Controller\Items\Base\Fields\Seo as BaseSeo;
use WpieApp\Modules\Export\Controller\Items\User\Fields\Meta as UserMeta;

defined( 'WPIE__FILE__' ) || exit;


class Seo extends BaseSeo implements InterfaceField {

        
        protected static $metaType = UserMeta::FIELD_TYPE;

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Export/User/Fields/RankMathSeo', parent::get(), Settings::getContentType() );
        }

        
        protected static function getFields() {

                return array_merge(
                        static::getGeneralFields(),
                        static::getSocialFields(),
                        static::getAdvancedFields(),
                        static::getProfileFields()
                );
        }

        
        protected static function getProfileFields() {

                return [
                        //General
                        [ 'label' => 'SEO Twitter username (without @)', 'type' => static::$metaType, 'element' => 'twitter' ],
                        [ 'label' => 'SEO Facebook profile URL', 'type' => static::$metaType, 'element' => 'facebook' ],
                        [ 'label' => 'SEO Additional profile URLs', 'type' => static::$metaType, 'element' => 'additional_profile_urls' ],
                ];
        }

}
