<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Attribute\Fields;

use WpieApp\Core\Utils\DB;
use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Attribute implements InterfaceField {

        
        const FIELD_TYPE = "attribute";

        
        public static function get() {

                $fields = [
                        "title"      => esc_html__( "Attribute", 'wp-import-export' ),
                        'isFiltered' => false,
                        "priority"   => 26,
                        "data"       => [
                                [ 'label' => 'Attribute Name', 'type' => self::FIELD_TYPE, 'element' => 'attribute_label' ],
                                [ 'label' => 'Attribute Slug', 'type' => self::FIELD_TYPE, 'element' => 'attribute_name' ],
                                [ 'label' => 'Attribute Type', 'type' => self::FIELD_TYPE, 'element' => 'attribute_type' ],
                                [ 'label' => 'Attribute Order by', 'type' => self::FIELD_TYPE, 'element' => 'attribute_orderby' ],
                                [ 'label' => 'Attribute Enable archives?', 'type' => self::FIELD_TYPE, 'element' => 'attribute_public' ]
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Attribute/Fields/Attribute', $fields );
        }

}
