<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Category\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\Fields\Standard as TaxonomyStandard;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\Fields\Meta as TaxonomyMeta;

defined( 'WPIE__FILE__' ) || exit;


class Standard extends TaxonomyStandard implements InterfaceField {

        
        public static function get() {

                $fields = parent::get();

                $categoryFields = [
                        [ 'label' => 'Display type', 'type' => TaxonomyMeta::FIELD_TYPE, 'element' => 'display_type' ],
                        [ 'label' => 'Order', 'type' => TaxonomyMeta::FIELD_TYPE, 'element' => 'order' ]
                ];

                $fields[ 'data' ] = isset( $fields[ 'data' ] ) ? array_merge( $fields[ 'data' ], $categoryFields ) : $categoryFields;

                
                return \apply_filters( 'Wpie/Export/Category/Fields/Standard', $fields );
        }

}
