<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Coupon\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Export\Controller\Items\Post\Fields\Standard as PostStandard;
use WpieApp\Modules\Export\Controller\Items\Post\Fields\Meta as PostMeta;

defined( 'WPIE__FILE__' ) || exit;


class Standard implements InterfaceField {

        
        public static function get() {

                $fields = [
                        "title"    => \esc_html__( "Standard", 'wp-import-export' ),
                        "priority" => 10,
                        "data"     => [
                                [ 'label' => 'ID', 'type' => PostStandard::FIELD_TYPE, 'element' => 'ID' ],
                                [ 'label' => 'Code', 'type' => PostStandard::FIELD_TYPE, 'element' => 'post_title' ],
                                [ 'label' => 'Description', 'type' => PostStandard::FIELD_TYPE, 'element' => 'post_excerpt' ],
                                [ 'label' => 'Discount type', 'type' => PostMeta::FIELD_TYPE, 'element' => 'discount_type' ],
                                [ 'label' => 'Amount', 'type' => PostMeta::FIELD_TYPE, 'element' => 'coupon_amount' ],
                                [ 'label' => 'Allow free shipping', 'type' => PostMeta::FIELD_TYPE, 'element' => 'free_shipping' ],
                                [ 'label' => 'Expiry date', 'type' => PostMeta::FIELD_TYPE, 'element' => 'date_expires', 'isFiltered' => false ],
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Coupon/Fields/Standard', $fields );
        }

}
