<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Legacy\Filters;

use WpieApp\Core\Utils\DB;
use WpieApp\Core\Helpers\Helper;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Legacy\Filter;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Filters\ProductMeta as BaseProductMeta;

defined( 'WPIE__FILE__' ) || exit;


class ProductMeta extends BaseProductMeta {

        
        protected static function addNotRule() {

                $element = Filter::getOption( "element", "field" );

                $condition = substr( Filter::getOption( "condition" ), 4 );

                $data = Filter::getOption( 'value' );

                $alias         = Helper::randStr( "wpie_" );
                $itemAlias     = $alias . "items";
                $itemMetaAlias = $alias . "itemmeta";
                $postMetaAlias = $alias . 'postmeta';

                $field = $postMetaAlias . ".`meta_value`";

                $comparison = Filter::getOption( 'comparison' );

                $rule = Filter::bulidRule( $field, $data, $condition, $comparison );

                $subQuery = DB::wpdb()->prepare(
                        "SELECT DISTINCT " . DB::wpdb()->posts . ".`ID` FROM " . DB::wpdb()->posts .
                        " LEFT JOIN " . DB::table( 'woocommerce_order_items' ) . " AS " . $itemAlias . " ON (" . DB::wpdb()->posts . ".`ID` = " . $itemAlias . ".`order_id`)" .
                        " LEFT JOIN " . DB::table( '.woocommerce_order_itemmeta' ) . " AS " . $itemMetaAlias . " ON (" . $itemMetaAlias . ".`order_item_id` = " . $itemAlias . ".`order_item_id` AND " . $itemMetaAlias . ".`meta_key` = '_product_id' AND " . $itemMetaAlias . ".`meta_value` > 0)" .
                        " LEFT JOIN " . DB::wpdb()->postmeta . " AS " . $postMetaAlias . " ON (" . $postMetaAlias . ".`post_id` = " . $itemMetaAlias . ".`meta_value` )" .
                        " WHERE " . DB::wpdb()->posts . ".`post_type` IN ('shop_order', 'shop_order_refund') " .
                        " AND " . $postMetaAlias . ".`meta_key` = %s AND " . $rule,
                        $element
                );

                Filter::addWhere( static::getOrderTableAlias() . ".`id` NOT IN(" . $subQuery . ") AND " . static::getOrderTableAlias() . ".`" . static::getTableAliasField() . "` NOT IN(" . $subQuery . ")" );
        }

        
        public static function getOrderTableAlias() {

                return DB::wpdb()->posts;
        }

        
        public static function getTableAliasField() {

                return 'post_parent';
        }
}
