<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard;

use WpieApp\Modules\Export\Controller\Items\Base\DataCenters\Base;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenters\Standard;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenters\Customer;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenters\Item;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenters\Fees;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenters\Download;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenters\Shipping;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenters\Tax;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenters\Coupon;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenters\Note;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenters\Refund;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenters\Meta;

defined( 'WPIE__FILE__' ) || exit;


class DataCenter extends Base {

        
        protected static function setItem() {

                self::$item = \wc_get_order( self::$id );

                if ( !self::$item ) {
                        return false;
                }
                return true;
        }

        
        protected static function processData() {

                $data = "";

                $type = self::getFieldOption( "type" );

                switch ( $type ) {
                        case 'standard':
                                $data = Standard::getField();
                                break;
                        case 'customer':
                                $data = Customer::getField( $data );
                                break;
                        case 'item':
                        case 'item-meta':
                                $data = Item::getField( $data );
                                break;
                        case 'fees':
                                $data = Fees::getField( $data );
                                break;
                        case 'download':
                                $data = Download::getField( $data );
                                break;
                        case 'shipping':
                                $data = Shipping::getField( $data );
                                break;
                        case 'tax':
                                $data = Tax::getField( $data );
                                break;
                        case 'coupon':
                                $data = Coupon::getField( $data );
                                break;
                        case 'note':
                                $data = Note::getField( $data );
                                break;
                        case 'refund':
                                $data = Refund::getField( $data );
                                break;
                        case 'meta':
                                $data = Meta::getField( $data );
                                break;
                        default :
                                $data = parent::processData();
                                break;
                }

                
                return \apply_filters( 'Wpie/Export/Order/Data', $data, $type );
        }
}
