<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Base {

        
        public static function getField() {

                $element = DataCenter::getFieldOption( "element" );

                if ( Helper::isEmptyStr( $element ) ) {
                        return "";
                }

                
                return \apply_filters( 'Wpie/Export/WooCommerce/Order/Base/Data', static::get( $element ), $element );
        }

        
        public static function get( $element = '' ) {

                return static::getData( $element );
        }

        
        public static function getData( $method = '' ) {

                $method = 'get_' . $method;

                if ( method_exists( DataCenter::getItem(), $method ) ) {

                        $data = DataCenter::getItem()->$method();

                        if ( is_object( $data ) && \is_a( $data, '\WC_DateTime' ) ) {
                                return $data->date( 'Y-m-d H:i:s' );
                        }
                        return $data;
                }

                return '';
        }
}
