<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenters;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenter;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenters\Items;

defined( 'WPIE__FILE__' ) || exit;


class Coupon extends Base {

        
        private static $items = [];

        
        private static $orderId = 0;

        
        public static function get( $element = "" ) {

                self::setItems();

                return self::getItems( $element );
        }

        
        private static function getItems( $element = "" ) {

                if ( !Helper::isNonEmptyArray( self::$items ) ) {
                        return '';
                }

                $data = [];

                foreach ( self::$items as $item ) {

                        switch ( $element ) {

                                case 'name':
                                        $data[] = $item->get_name();
                                        break;
                                case 'discount':
                                        $data[] = $item->get_discount();
                                        break;
                                case 'discount_tax':
                                        $data[] = $item->get_discount_tax();
                                        break;
                        }
                }

                return $data;
        }

        
        private static function setItems() {

                if ( self::$orderId === DataCenter::getId() ) {
                        return;
                }

                self::$orderId = DataCenter::getId();

                self::$items = DataCenter::getItem()->get_items( 'coupon' );
        }
}
