<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Download implements InterfaceField {

        
        const FIELD_TYPE = "download";

        
        public static function get() {

                $fields = [
                        "title"      => \esc_html__( "Download", 'wp-import-export' ),
                        "priority"   => 120,
                        'isFiltered' => false,
                        "data"       => [
                                [ 'label' => 'Download id', 'type' => self::FIELD_TYPE, 'element' => 'download_id' ],
                                [ 'label' => 'Download Order Item', 'type' => self::FIELD_TYPE, 'element' => 'item' ],
                                [ 'label' => 'Download product', 'type' => self::FIELD_TYPE, 'element' => 'product' ],
                                [ 'label' => 'Download file', 'type' => self::FIELD_TYPE, 'element' => 'filename' ],
                                [ 'label' => 'Download remaining', 'type' => self::FIELD_TYPE, 'element' => 'downloads_remaining' ],
                                [ 'label' => 'Download access granted', 'type' => self::FIELD_TYPE, 'element' => 'access_granted' ],
                                [ 'label' => 'Download access expires', 'type' => self::FIELD_TYPE, 'element' => 'access_expires' ],
                                [ 'label' => 'Download count', 'type' => self::FIELD_TYPE, 'element' => 'download_count' ],
                                [ 'label' => 'Download Log', 'type' => self::FIELD_TYPE, 'element' => 'download_log' ],
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Order/Fields/Fees', $fields, Settings::getContentType() );
        }
}
