<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Other implements InterfaceField {

        
        public static function get() {

                $fields = [
                        "title"    => esc_html__( "Other", 'wp-import-export' ),
                        "priority" => 20,
                        "data"     => [
                                [ 'label' => 'Prices include tax', 'type' => Standard::FIELD_TYPE, 'element' => 'prices_include_tax', 'isFiltered' => false ],
                                [ 'label' => 'Customer ip address', 'type' => Standard::FIELD_TYPE, 'element' => 'customer_ip_address' ],
                                [ 'label' => 'Customer user agent', 'type' => Standard::FIELD_TYPE, 'element' => 'customer_user_agent' ],
                                [ 'label' => 'Created via', 'type' => Standard::FIELD_TYPE, 'element' => 'created_via', 'table' => 'operational_data' ],
                                [ 'label' => 'Payment method', 'type' => Standard::FIELD_TYPE, 'element' => 'payment_method' ],
                                [ 'label' => 'Cart discount tax', 'type' => Standard::FIELD_TYPE, 'element' => 'discount_tax', 'table' => 'operational_data' ],
                                [ 'label' => 'Order shipping tax', 'type' => Standard::FIELD_TYPE, 'element' => 'shipping_tax', 'table' => 'operational_data' ],
                                [ 'label' => 'Recorded sales', 'type' => Standard::FIELD_TYPE, 'element' => 'recorded_sales', 'table' => 'operational_data' ],
                                [ 'label' => 'Order stock reduced', 'type' => Standard::FIELD_TYPE, 'element' => 'order_stock_reduced', 'table' => 'operational_data' ],
                                [ 'label' => 'Recorded coupon usage counts', 'type' => Standard::FIELD_TYPE, 'element' => 'recorded_coupon_usage_counts', 'isFiltered' => false ],
                                [ 'label' => 'Transaction id', 'type' => Standard::FIELD_TYPE, 'element' => 'transaction_id' ],
                                [ 'label' => 'Is vat exempt?', 'type' => Meta::FIELD_TYPE, 'element' => 'is_vat_exempt', 'isFiltered' => false ]
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Order/Fields/Other', $fields );
        }
}
