<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product\Fields;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Export\Controller\Items\Post\Fields\Other as PostOther;

defined( 'WPIE__FILE__' ) || exit;


class Other extends PostOther implements InterfaceField {

        
        public static function get() {

                $fields = self::update( parent::get() );

                
                return \apply_filters( 'Wpie/Export/Product/Fields/Other', $fields, Settings::getContentType() );
        }

        
        private static function update( $fields = [] ) {

                $blocks = isset( $fields[ 'data' ] ) ? $fields[ 'data' ] : [];

                if ( !Helper::isNonEmptyArray( $blocks ) ) {
                        return $fields;
                }

                foreach ( $blocks as $key => $data ) {
                        $element = isset( $data[ 'element' ] ) ? $data[ 'element' ] : '';
                        if ( 'comment_status' === $element ) {
                                unset( $fields[ 'data' ][ $key ] );
                                break;
                        }
                }

                unset( $blocks );

                return $fields;
        }

}
