<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product\Manager as Product;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Category\Manager as Category;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Tag\Manager as Tag;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Manager as Order;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Coupon\Manager as Coupon;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Review\Manager as Review;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Attribute\Manager as Attribute;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Customer\Manager as Customer;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function init() {

                \add_filter( 'Wpie/Export/Custom', [ __CLASS__, 'get' ], 1, 4 );
        }

        
        public static function get( $data = '', $category = '', $contentType = '', $option = '' ) {

                if ( 'wc' !== $category ) {
                        return $data;
                }

                if ( 'product' === $contentType ) {
                        return Product::get( $option );
                }
                if ( 'product_cat' === $contentType ) {
                        return Category::get( $option );
                }
                if ( 'shop_order' === $contentType ) {
                        return Order::get( $option );
                }
                if ( 'shop_coupon' === $contentType ) {
                        return Coupon::get( $option );
                }
                if ( 'product_reviews' === $contentType ) {
                        return Review::get( $option );
                }
                if ( 'attribute' === $contentType ) {
                        return Attribute::get( $option );
                }
                if ( 'shop_customer' === $contentType ) {
                        return Customer::get( $option );
                }
                if ( 'product_tag' === $contentType ) {
                        return Tag::get( $option );
                }

                return $data;
        }

}
