<?php



namespace WpieApp\Extensions\Export\Wpml\Controller\Items\Base\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Wpml implements InterfaceField {

        
        const FIELD_TYPE = "wpml";

        
        public static function get() {

                $fields = [
                        "title"      => \esc_html__( "Wpml", 'wp-import-export' ),
                        "priority"   => 28,
                        "isFiltered" => false,
                        "pro"        => true,
                        "data"       => static::getFields()
                ];

                
                return \apply_filters( 'Wpie/Export/Base/Fields/Wpml', $fields, Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        [ 'label' => 'Wpml Language', 'type' => self::FIELD_TYPE, 'element' => 'wpml_language' ],
                        [ 'label' => 'Wpml Language Label', 'type' => self::FIELD_TYPE, 'element' => 'wpml_language_label' ],
                        [ 'label' => 'Wpml All Translations', 'type' => self::FIELD_TYPE, 'element' => 'wpml_translations' ],
                ];
        }
}
