<?php



namespace WpieApp\Extensions\Export\Wpml\Controller\Items\Base;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Filters\Filter as BaseFilter;
use WpieApp\Extensions\Export\Wpml\Controller\Languages;

defined( 'WPIE__FILE__' ) || exit;


class Filter extends BaseFilter {

        
        protected static $tableAlias = "icl_translations";

        
        public static function addRule() {

                static::removeWpmlFilters();

                if ( '' === static::getLanguages() ) {
                        return;
                }

                static::addWhere();

                static::addJoin();
        }

        
        public static function addWhere() {
                
        }

        
        public static function addJoin() {
                
        }

        
        public static function getLanguages() {

                $languages = Settings::getOption( 'wpml/languages' );

                if ( !Helper::isNonEmptyArray( $languages ) ) {
                        return '';
                }
                $languages = array_values( array_filter( $languages ) );

                $allLang = array_filter( array_keys( Languages::get() ) );

                if ( !Helper::isNonEmptyArray( array_diff( $allLang, $languages ) ) ) {
                        return '';
                }

                return DB::prepareData( $languages );
        }
        
        
        public static function removeWpmlFilters() {

                global $sitepress;

                \remove_filter( 'get_terms_args', [ $sitepress, 'get_terms_args_filter' ] );
                \remove_filter( 'get_term', [ $sitepress, 'get_term_adjust_id' ], 1 );
                \remove_filter( 'terms_clauses', [ $sitepress, 'terms_clauses' ] );
        }
}
