<?php



namespace WpieApp\Extensions\Export\Wpml;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Extensions\Base\Middleware as BaseMiddleware;
use WpieApp\Extensions\Export\Wpml\View\Manager as View;
use WpieApp\Extensions\Export\Wpml\Controller\Manager as Controller;

defined( 'WPIE__FILE__' ) || exit;


class Middleware extends BaseMiddleware {

        
        protected $requiredPlugins = [ "Wpml" => '4.3' ];

        
        public function boot() {

                View::init();

                Controller::init();

                $this->addJsonData();
        }

        
        protected function getAssets() {

                return [
                        'scripts' => [
                                Helper::PLUGIN_PREFIX . 'wpml' => [
                                        "src"  => WPIE_EXTENSIONS_URL . '/Export/Wpml/assets/js/wpml.js',
                                        "deps" => [ 'jquery', Helper::PLUGIN_PREFIX . 'admin', Helper::PLUGIN_PREFIX . 'export' ],
                                ],
                        ]
                ];
        }

        
        private function addJsonData() {

                global $sitepress;

                Helper::addJsonData( 'wpmlTaxonomy', $sitepress->get_translatable_taxonomies( true ) );

                Helper::addJsonData( "wpmlPost", array_keys( $sitepress->get_translatable_documents( true ) ) );
        }
}
