<?php



namespace WpieApp\Extensions\Import\Acf\Controller\Items\Base\Engines\Relational;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Post\Search;

defined( 'WPIE__FILE__' ) || exit;


class Post {

        
        public static function getData( $data = [] ) {

                if ( !Helper::isNonEmptyArray( $data ) ) {
                        return '';
                }

                $posts = [];

                foreach ( $data as $post ) {

                        $title = isset( $post[ 'title' ] ) ? $post[ 'title' ] : '';

                        $postType = isset( $post[ 'post_type' ] ) ? $post[ 'post_type' ] : '';

                        $id = Search::getPostIdBy( 'title', $title, $postType );

                        if ( $id < 1 ) {

                                $slug = isset( $post[ 'slug' ] ) ? $post[ 'slug' ] : '';

                                $id = Search::getPostIdBy( 'name', $slug, $postType );
                        }
                        if ( $id < 1 ) {

                                continue;
                        }
                        $posts[] = $id;
                }

                return $posts;
        }
}
