<?php



namespace WpieApp\Extensions\Import\Acf\Controller\Items\Base\Engines\Relational;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Term\Search;

defined( 'WPIE__FILE__' ) || exit;


class Term {

        
        public static function getData( $data = [] ) {

                if ( !Helper::isNonEmptyArray( $data ) ) {
                        return '';
                }

                $terms = [];

                foreach ( $data as $term ) {

                        $name = isset( $term[ 'name' ] ) ? $term[ 'name' ] : '';

                        $taxonomy = isset( $term[ 'taxonomy' ] ) ? $term[ 'taxonomy' ] : '';

                        $id = Search::getTermIdBy( 'name', $name, $taxonomy );

                        if ( $id < 1 ) {

                                $slug = isset( $term[ 'slug' ] ) ? $term[ 'slug' ] : '';

                                $id = Search::getTermIdBy( 'slug', $slug, $taxonomy );
                        }
                        if ( $id < 1 ) {

                                continue;
                        }
                        $terms[] = $id;
                }

                return $terms;
        }
}
