<?php



namespace WpieApp\Extensions\Import\Acf\Controller;

use RankMath\Helper as RankMathHelper;
use WpieApp\Extensions\Import\Acf\Controller\Items\Post\Manager as Post;
use WpieApp\Extensions\Import\Acf\Controller\Items\Term\Manager as Term;
use WpieApp\Extensions\Import\Acf\Controller\Items\User\Manager as User;
use WpieApp\Extensions\Import\Acf\Controller\Items\Comment\Manager as Comment;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function init() {

                \add_action( 'Wpie/Import/Post/Init', [ __CLASS__, 'initPost' ] );

                \add_action( 'Wpie/Import/Term/Init', [ __CLASS__, 'initTerm' ] );

                \add_action( 'Wpie/Import/User/Init', [ __CLASS__, 'initUser' ] );

                \add_action( 'Wpie/Import/Comment/Init', [ __CLASS__, 'initComment' ] );
        }

        
        public static function initPost( $contentType = '' ) {

                Post::init();
        }

        
        public static function initTerm( $contentType = '' ) {

                Term::init();
        }

        
        public static function initUser( $contentType = '' ) {

                User::init();
        }

        
        public static function initComment( $contentType = '' ) {

                Comment::init();
        }
}
