<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Facebook\ImageType;

defined( 'WPIE__FILE__' ) || exit;


class Twitter {

        
        public static function get() {

                $data = [];

                if ( DataCenter::canUpdate( 'allinoneseo/twitter/use_og' ) ) {
                        $data[ "twitter_use_og" ] = ( true === Helper::detectBoolVal( DataCenter::get( "allinoneseo/twitter/use_og/data" ) ) );
                }

                if ( DataCenter::canUpdate( 'allinoneseo/twitter/title' ) ) {
                        $data[ "twitter_title" ] = DataCenter::get( "allinoneseo/twitter/title/data" );
                }

                if ( DataCenter::canUpdate( 'allinoneseo/twitter/description' ) ) {
                        $data[ "twitter_description" ] = DataCenter::get( "allinoneseo/twitter/description/data" );
                }

                if ( DataCenter::canUpdate( 'allinoneseo/twitter/image_type' ) ) {

                        $type = DataCenter::get( "allinoneseo/twitter/image_type/data" );

                        $data[ "twitter_image_type" ] = Helper::autoFixStr( $type, array_keys( ImageType::getSource() ), false );

                        $data[ "twitter_image_custom_fields" ] = DataCenter::get( "allinoneseo/twitter/image_custom_fields/data" );

                        $data[ "twitter_image_custom_url" ] = DataCenter::get( "allinoneseo/twitter/image_custom_url/data" );
                }

                if ( DataCenter::canUpdate( 'allinoneseo/twitter/card' ) ) {

                        $card = DataCenter::get( "allinoneseo/twitter/card/data" );

                        $data[ "twitter_card" ] = Helper::autoFixStr( $card, [ "summary_large_image", "summary", "default" ], false );
                }

                return $data;
        }
}
