<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields;

use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Redirect\Redirection;

defined( 'WPIE__FILE__' ) || exit;


class Redirect implements InterfaceField {

        
        public static function get() {

                // Check if this plugin should be disabled.
                if ( !\aioseo()->pro || !class_exists( '\AIOSEO\Plugin\Addon\Redirects\Redirects' ) ) {
                        return [];
                }

                return [
                        "label"           => __( 'All In One SEO - Redirects Addon', 'wp-import-export' ),
                        "class"           => "wpie-allinone-redirect-fields",
                        "hide-bulk-check" => true,
                        "order"           => 32.4,
                        "pro-backdrop"    => WPIE_PRO ? false : true,
                        "blocks"          => static::getFields()
                ];
        }

        
        protected static function getFields() {

                return [
                        "allinoneseo/redirect/redirection" => Redirection::getBlocks(),
                ];
        }
}
