<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Post\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Logger;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Engines\General as Base;

defined( 'WPIE__FILE__' ) || exit;


class General extends Base {

        
        public static function get() {

                $data = parent::get();

                if ( DataCenter::canUpdate( 'allinoneseo/general/keyphrases' ) ) {

                        $keyphrases = Helper::jsonDecode( DataCenter::get( "allinoneseo/general/keyphrases/data" ), true );

                        if ( \is_wp_error( $keyphrases ) ) {

                                Logger::log( "<strong>" . __( "ERROR", 'wp-import-export' ) . "</strong> : " . $keyphrases->get_error_message() );
                        } else {

                                $data[ "keyphrases" ] = $keyphrases;
                        }

                        unset( $keyphrases );
                }

                if ( DataCenter::canUpdate( 'allinoneseo/general/pillar_content' ) ) {
                        $data[ "pillar_content" ] = Helper::detectBoolVal( DataCenter::get( "allinoneseo/general/pillar_content/data" ) );
                }

                
                return \apply_filters( 'Wpie/Import/Post/Engines/AllInOneSeo/General', $data, Settings::getContentType() );
        }
}
