<?php



namespace WpieApp\Extensions\Import\Polylang\Controller\Items\Term;

use WpieApp\Extensions\Import\Polylang\Controller\Items\Base\Engine as BaseEngine;
use WpieApp\Extensions\Import\Polylang\Controller\Items\Term\Engines\Translation;
use WpieApp\Modules\Import\Controller\Items\Term\DataCenter;
use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Engine extends BaseEngine {

        
        public static function setLanguage() {

                if ( !DataCenter::isNewItem() ) {
                        return;
                }

                \PLL()->model->term->set_language( DataCenter::getId(), static::$language );
        }

        
        public static function setTranslation() {

                $translations = self::getTrid();

                if ( !Helper::isNonEmptyArray( $translations ) ) {
                        return;
                }

                \PLL()->model->term->save_translations( DataCenter::getId(), $translations );
        }

        
        protected static function getTrid() {

                if ( !DataCenter::isNewItem() ) {

                        $translations = \PLL()->model->term->get_translations( DataCenter::getId() );

                        if ( is_array( $translations ) && 1 < count( $translations ) ) {
                                return false;
                        }
                }

                $translation = Translation::get();

                if ( is_numeric( $translation ) && 0 === $translation ) {
                        return [];
                }

                return \PLL()->model->term->get_translations( $translation );
        }

        
        protected static function getLanguage() {

                return \PLL()->model->term->get_language( DataCenter::getId() );
        }
}
