<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields;

use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter\Image;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter\Title;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter\Description;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter\EnableImageOverlay;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter\ImageOverlay;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter\CardType;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter\AppDescription;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter\IphoneName;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter\IphoneId;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter\IphoneUrl;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter\IpadName;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter\IpadId;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter\IpadUrl;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter\GooglePlayName;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter\GooglePlayId;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter\GooglePlayUrl;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter\Country;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter\Url;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter\Size;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter\Stream;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter\StreamCtype;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter\UseFacebook;

defined( 'WPIE__FILE__' ) || exit;


class Twitter implements InterfaceField {

        
        public static function get() {

                return [
                        "label"        => __( 'RankMath SEO - Twitter', 'wp-import-export' ),
                        "class"        => "wpie-rankmathseo-twitter-fields",
                        "order"        => 32.4,
                        "pro-backdrop" => WPIE_PRO ? false : true,
                        "blocks"       => static::getFields()
                ];
        }

        
        protected static function getFields() {

                return [
                        "rankmathseo/twitter/use_facebook"         => UseFacebook::getBlocks(),
                        "rankmathseo/twitter/title"                => Title::getBlocks(),
                        "rankmathseo/twitter/description"          => Description::getBlocks(),
                        "rankmathseo/twitter/image"                => Image::getBlocks(),
                        "rankmathseo/twitter/enable_image_overlay" => EnableImageOverlay::getBlocks(),
                        "rankmathseo/twitter/image_overlay"        => ImageOverlay::getBlocks(),
                        "rankmathseo/twitter/card_type"            => CardType::getBlocks(),
                        "rankmathseo/twitter/app_description"      => AppDescription::getBlocks(),
                        "rankmathseo/twitter/app_iphone_name"      => IphoneName::getBlocks(),
                        "rankmathseo/twitter/app_iphone_id"        => IphoneId::getBlocks(),
                        "rankmathseo/twitter/app_iphone_url"       => IphoneUrl::getBlocks(),
                        "rankmathseo/twitter/app_ipad_name"        => IpadName::getBlocks(),
                        "rankmathseo/twitter/app_ipad_id"          => IpadId::getBlocks(),
                        "rankmathseo/twitter/app_ipad_url"         => IpadUrl::getBlocks(),
                        "rankmathseo/twitter/app_googleplay_name"  => GooglePlayName::getBlocks(),
                        "rankmathseo/twitter/app_googleplay_id"    => GooglePlayId::getBlocks(),
                        "rankmathseo/twitter/app_googleplay_url"   => GooglePlayUrl::getBlocks(),
                        "rankmathseo/twitter/app_country"          => Country::getBlocks(),
                        "rankmathseo/twitter/player_url"           => Url::getBlocks(),
                        "rankmathseo/twitter/player_size"          => Size::getBlocks(),
                        "rankmathseo/twitter/player_stream"        => Stream::getBlocks(),
                        "rankmathseo/twitter/player_stream_ctype"  => StreamCtype::getBlocks(),
                ];
        }
}
