<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\User\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\User\Fields\Profile\Twitter as TwitterProfile;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\User\Fields\Profile\Facebook as FacebookProfile;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\User\Fields\Profile\AdditionalProfileUrls;

defined( 'WPIE__FILE__' ) || exit;


class Profile implements InterfaceField {

        
        public static function get() {

                $fields = [
                        "label"        => __( 'RankMath SEO - Profile', 'wp-import-export' ),
                        "class"        => "wpie-rankmathseo-profile-fields",
                        "order"        => 32.6,
                        "pro-backdrop" => WPIE_PRO ? false : true,
                        "blocks"       => static::getFields()
                ];

                
                return \apply_filters( 'Wpie/Import/User/Fields/RankMathSeo/Profile', $fields, Settings::getContentType() );
        }

        
        protected static function getFields() {
                return [
                        "rankmathseo/profile/twitter"                 => TwitterProfile::getBlocks(),
                        "rankmathseo/profile/facebook"                => FacebookProfile::getBlocks(),
                        "rankmathseo/profile/additional_profile_urls" => AdditionalProfileUrls::getBlocks(),
                ];
        }
}
