<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Category;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Term\AutoDetect as Base;
use WpieApp\Modules\Import\Controller\Items\Base\AutoDetect\Image;

defined( 'WPIE__FILE__' ) || exit;


class AutoDetect extends Base {

        
        protected static function setDefaults() {

                Image::setDefaults();
        }

        
        protected static function processField( $field = '' ) {

                parent::processField( $field );

                static::updateAttributes( $field );

                Image::update( $field );
        }

        
        protected static function updateStandard( $field = "" ) {

                parent::updateStandard( $field );

                $fields = [
                        'displaytype' => 'display-type',
                        'order'       => 'order',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'standard/' . $fields[ $field ], $field );
        }

        
        protected static function updateAttributes( $field = "" ) {

                $fields = [
                        'attributename'           => 'name',
                        'attributeslug'           => 'slug',
                        'attributeenablearchives' => 'enable_archive',
                        'attributetype'           => 'type',
                        'attributeorderby'        => 'order_by',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'attribute/' . $fields[ $field ], $field );
        }
}
