<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order;

use WpieApp\Modules\Import\Helpers\Helper;

;

defined( 'WPIE__FILE__' ) || exit;


class AutoSearch {

        
        public static function get() {

                return self::tryKey();
        }

        
        public static function tryKey() {

                $key = self::getKey();

                return self::search( $key );
        }

        
        public static function search( $key ) {

                if ( !Helper::isNonEmptyStr( $key ) ) {

                        return 0;
                }

                return \wc_get_order_id_by_order_key( trim( $key ) );
        }

        
        public static function getKey() {

                $field = DataCenter::canUpdate( "standard/key" ) ? DataCenter::get( "standard/key/data" ) : '';

                if ( !Helper::isNonEmptyStr( $field ) ) {

                        $field = DataCenter::getFileData( '{orderkey}' );
                }

                if ( !Helper::isNonEmptyStr( $field ) ) {
                        return false;
                }

                return $field;
        }
}
