<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Engines;

use WpieApp\Core\Utils\Date;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\DataCenter;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Engines\Items\Fee as FeeItem;

defined( 'WPIE__FILE__' ) || exit;


class Fee extends ItemBase {

        
        protected static $type = 'fee';

        
        protected static function parepare() {
                self::parepareData( 'name' );
                self::parepareData( 'amount' );
                self::parepareJSONData( 'tax' );
        }

        
        protected static function processItem( $index = 0 ) {

                $tax = self::getData( 'tax', $index );

                $item = [
                        'name'   => self::getData( 'name', $index ),
                        'amount' => self::getData( 'amount', $index ),
                        'tax'    => [
                                'total' => Helper::isNonEmptyArray( $tax ) ? self::getTaxRateIds( array_values( $tax ) ) : [],
                        ],
                ];

                if ( !Helper::isNonEmptyStr( $item[ 'name' ] ) ) {
                        return;
                }

                self::$existing[] = FeeItem::set( $item );
        }

        
        protected static function endProcess() {

                if ( DataCenter::isNewItem() ) {
                        return;
                }

                if ( 'remove' !== DataCenter::get( static::$type . "/manage-existing/data" ) ) {
                        return;
                }

                $items = DataCenter::getItem()->get_fees();

                if ( !Helper::isNonEmptyArray( $items ) ) {
                        return;
                }

                foreach ( $items as $item ) {

                        if ( !in_array( $item->get_id(), self::$existing ) ) {
                                DataCenter::getItem()->remove_item( $item->get_id() );
                        }
                }
        }
}
