<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Engines\Items;

use WC_Order_Item_Fee;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Fee extends Base {

        
        protected static function update() {

                $item = new WC_Order_Item_Fee( self::$item );

                if ( is_null( self::$item ) ) {
                        $item->set_order_id( DataCenter::getId() );
                }

                if ( isset( self::$data[ 'name' ] ) ) {
                        $item->set_name( self::$data[ 'name' ] );
                }

                if ( isset( self::$data[ 'amount' ] ) ) {
                        $item->set_amount( self::$data[ 'amount' ] );
                        $item->set_total( self::$data[ 'amount' ] );
                }

                if ( isset( self::$data[ 'tax' ] ) ) {
                        $item->set_taxes( self::$data[ 'tax' ] );
                }

                $id = $item->save();

                unset( $item );

                return $id;
        }

        
        protected static function setItem() {

                if ( DataCenter::isNewItem() ) {
                        return;
                }

                $items = DataCenter::getItem()->get_fees();

                $name = isset( self::$data[ 'name' ] ) ? self::$data[ 'name' ] : '';

                if ( !Helper::isNonEmptyArray( $items ) || !Helper::isNonEmptyStr( $name ) ) {
                        return;
                }

                foreach ( $items as $item ) {

                        if ( $name === $item->get_name() ) {
                                self::$item = $item;
                                break;
                        }
                }

                unset( $items, $name );
        }
}
