<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Download\ID;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Download\Product as DownloadProduct;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Download\DownloadFile;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Download\Remaining;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Download\AccessGranted;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Download\AccessExpires;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Download\DownloadCount;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Download\Log;

defined( 'WPIE__FILE__' ) || exit;


class Download implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/WooCommerce/Order/Fields/Download', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Download Permission', 'wp-import-export' ),
                        "class"  => "wpie-download-fields",
                        "order"  => 120,
                        "blocks" => [
                                "download/id"             => ID::getBlocks(),
                                "download/product"        => DownloadProduct::getBlocks(),
                                "download/file"           => DownloadFile::getBlocks(),
                                "download/remaining"      => Remaining::getBlocks(),
                                "download/access-granted" => AccessGranted::getBlocks(),
                                "download/access-expires" => AccessExpires::getBlocks(),
                                "download/count"          => DownloadCount::getBlocks(),
                                "download/log"            => Log::getBlocks(),
                        ]
                ];
        }
}
