<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\ShippingMethod\Options;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\ShippingMethod\Name;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\ShippingMethod\Method;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\ShippingMethod\Cost;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\ShippingMethod\Tax;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\ShippingMethod\Meta;

defined( 'WPIE__FILE__' ) || exit;


class ShippingMethod implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/WooCommerce/Order/Fields/ShippingMethod', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Shipping Method', 'wp-import-export' ),
                        "class"  => "wpie-shipping-method-fields",
                        "order"  => 90,
                        "blocks" => [
                                "shipping-method/options" => Options::getBlocks(),
                                "shipping-method/name"    => Name::getBlocks(),
                                "shipping-method/method"  => Method::getBlocks(),
                                "shipping-method/cost"    => Cost::getBlocks(),
                                "shipping-method/tax"     => Tax::getBlocks(),
                                "shipping-method/meta"    => Meta::getBlocks(),
                        ]
                ];
        }

}
