<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Engines\Attributes;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\Logger;

defined( 'WPIE__FILE__' ) || exit;


class Attribute extends Base {

        
        public static function get() {

                $rawAttributes = self::getRawAttributes();

                if ( !Helper::isNonEmptyArray( $rawAttributes ) ) {
                        return [];
                }

                $attributes = self::getExistingAttributes();

                foreach ( $rawAttributes as $taxonomy => $data ) {

                        $attribute = parent::generate( $data );

                        if ( isset( $attributes[ $taxonomy ] ) ) {
                                $attribute->set_options( array_unique( array_merge( $attribute->get_options(), $attributes[ $taxonomy ]->get_options() ) ) );
                        }

                        $attributes[ $taxonomy ] = $attribute;
                }

                return $attributes;
        }

}
