<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Variation\Method;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Variation\Enabled;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Variation\Description;

defined( 'WPIE__FILE__' ) || exit;


class Variation implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/Product/Fields/Variation', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Product Variation', 'wp-import-export' ),
                        "class"  => "wpie-wc-variations-fields",
                        "order"  => 12.04,
                        "blocks" => [
                                "variation/method"      => Method::getBlocks(),
                                "variation/description" => Description::getBlocks(),
                             //   "variations/enabled"     => Enabled::getBlocks(),
                        ]
                ];
        }

}
