<?php



namespace WpieApp\Extensions\Import\Wpml\Controller\Items\Base\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Language {

        
        protected static $import;

        
        protected static $current;

        
        protected static $default;

        
        protected static $languages;

        
        public static function set() {

                self::setDefault();

                self::$import = '';

                self::setImport();

                //  self::switch( self::$import );
        }

        
        public static function update( $language = '' ) {

                self::$import = $language;
        }

        
        public static function get() {

                return Helper::isNonEmptyStr( self::$import ) ? self::$import : self::getDefault();
        }

        
        public static function getImport() {

                return self::$import;
        }

        
        public static function setImport() {

                if ( !DataCenter::canUpdate( "wpml/language" ) ) {
                        return;
                }

                $langInput = DataCenter::get( "wpml/language/data" );

                if ( !Helper::isNonEmptyStr( $langInput ) ) {
                        return;
                }

                self::$import = self::search( $langInput );
        }

        
        public static function search( $langInput = '' ) {

                self::setDefault();

                if ( !Helper::isNonEmptyStr( $langInput ) ) {
                        return '';
                }

                $lang = '';

                $compareParams = array_flip( [ 'code', 'english_name', 'native_name', 'default_locale', 'display_name' ] );

                foreach ( self::$languages as $id => $language ) {

                        $langData = array_intersect_key( $language, $compareParams );

                        if ( in_array( $langInput, $langData ) ) {
                                $lang = $id;
                                break;
                        }
                }

                return Helper::isNonEmptyStr( $lang ) ? $lang : '';
        }

        
        protected static function getDefault() {

                if ( Helper::isNonEmptyStr( self::$current ) ) {
                        return self::$current;
                }

                return self::$default;
        }

        
        protected static function setDefault() {

                if ( !is_null( self::$default ) ) {
                        return;
                }

                global $sitepress;

                self::$current = $sitepress->get_current_language();

                self::$default = $sitepress->get_default_language();

                self::$languages = $sitepress->get_active_languages();
        }
}
