<?php



namespace WpieApp\Extensions\Import\Wpml\Controller\Items\Base\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Translation {
        
        
        
        protected static $type = '';

        
        public static function get( $type = ''  ) {

                if ( !DataCenter::canUpdate( "wpml/translations" ) ) {
                        return 0;
                }
                
                self::$type = $type;

                $source = DataCenter::get( "wpml/translations/source" );

                if ( 'export' === $source ) {
                        return self::getByExport();
                }

                return self::getByCustom();
        }

        
        public static function getByExport() {

                $data = DataCenter::get( "wpml/translations/data" );

                if ( !Helper::isNonEmptyStr( $data ) ) {
                        return 0;
                }

                $translations = Helper::jsonDecode( $data, true );

                if ( !Helper::isNonEmptyArray( $translations ) ) {
                        return 0;
                }

                $item = 0;

                foreach ( $translations as $translation ) {

                        $lang = isset( $translation[ 'lang' ] ) ? $translation[ 'lang' ] : '';

                        $title = isset( $translation[ 'title' ] ) ? $translation[ 'title' ] : '';

                        $id = \absint( static::search( [ 'lang' => $lang, 'fields' => 'title', 'data' => $title ] ) );

                        if ( 0 < $id && static::validate( $id ) ) {
                                $item = $id;
                                break;
                        }
                }

                return $item;
        }

        
        public static function getByCustom() {

                $lang = Language::search( DataCenter::get( "wpml/translations/languages/data" ) );

                $data = DataCenter::get( "wpml/translations/custom/data" );

                if ( !Helper::isNonEmptyStr( $lang ) || !Helper::isNonEmptyStr( $data ) ) {
                        return 0;
                }
                return static::validate( static::search( [ 'lang' => $lang, 'fields' => 'all', 'data' => $data ] ) );
        }

        
        public static function search( $options = [] ) {
                return 0;
        }

        
        public static function validate( $translation ) {

                if ( !is_numeric( $translation ) || 1 > \absint( $translation ) ) {
                        return false;
                }

                global $sitepress;

                $trid = $sitepress->get_element_trid( $translation, self::$type );

                $translations = $sitepress->get_element_translations( $trid, self::$type );

                if ( $translations && isset( $translations[ Language::getImport() ] ) ) {
                        return false;
                }

                return true;
        }
}
