<?php



namespace WpieApp\Extensions\Import\Wpml\Controller\Items\Base\Fields\Multilingual;

use WpieApp\Extensions\Import\Wpml\Controller\Items\Base\Languages;

defined( 'WPIE__FILE__' ) || exit;


class Translations {

        
        public static function getBlocks( $type = '' ) {

                $languages = Languages::get();

                $languages[ "as_specified" ] = __( "As specified", 'wp-import-export' );

                return [
                        "title"         => __( 'Translations', 'wp-import-export' ),
                        "desc"          => __( 'Translations', 'wp-import-export' ),
                        "order"         => 20,
                        "isRecommended" => true,
                        "fields"        => [
                                "translations" => [
                                        "order"      => 5,
                                        "label"      => __( 'Language Translations', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "source" => [
                                                        "description" => __( 'Translation Language', 'wp-import-export' ),
                                                        "name"        => "fields/wpml/translations/source",
                                                        "type"        => "radio",
                                                        "default"     => "export",
                                                        "choices"     => [
                                                                "export" => __( 'Exported Data', 'wp-import-export' ),
                                                                "custom" => __( 'Custom Data', 'wp-import-export' ),
                                                        ],
                                                        "fields"      => [
                                                                "export" => [
                                                                        "export-languages" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "as-specified" => [
                                                                                                "description" => __( 'Language', 'wp-import-export' ),
                                                                                                "name"        => "fields/wpml/translations/data",
                                                                                                "type"        => "textarea",
                                                                                                "hint"        => [
                                                                                                        [ "text" => __( 'Recommended', 'wp-import-export' ) ],
                                                                                                        [ "text" => __( 'support only JSON data exported from same plugin', 'wp-import-export' ) ],
                                                                                                ],
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ],
                                                                "custom" => [
                                                                        "export-languages" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "languages" => [
                                                                                                "description" => __( 'Language', 'wp-import-export' ),
                                                                                                "name"        => "fields/wpml/translations/languages/data",
                                                                                                "type"        => "radio",
                                                                                                "default"     => "",
                                                                                                "choices"     => $languages,
                                                                                                "preHtml"     => Language::getFlagList(),
                                                                                                "hints"       => [
                                                                                                        "as_specified" => __( 'Custom Status specified by you', 'wp-import-export' ),
                                                                                                ],
                                                                                                "hint"        => [
                                                                                                        [ "text" => __( 'Recommended', 'wp-import-export' ) ],
                                                                                                ],
                                                                                                "fields"      => [
                                                                                                        "as_specified" => [
                                                                                                                "languages-as-specified" => [
                                                                                                                        "order"      => 5,
                                                                                                                        "sub-fields" => [
                                                                                                                                "as-specified" => [
                                                                                                                                        "description" => __( 'All Above Languages are supported', 'wp-import-export' ),
                                                                                                                                        "name"        => "fields/wpml/translations/languages/data_as_specified",
                                                                                                                                        "class"       => "",
                                                                                                                                        "order"       => 10,
                                                                                                                                        "type"        => "textarea",
                                                                                                                                        "hint"        => [
                                                                                                                                                [ "text" => __( 'Language Label or slug', 'wp-import-export' ) ],
                                                                                                                                        ],
                                                                                                                                ]
                                                                                                                        ]
                                                                                                                ]
                                                                                                        ]
                                                                                                ],
                                                                                        ],
                                                                                        "custom"    => [
                                                                                                "description" => __( 'Translation', 'wp-import-export' ),
                                                                                                "name"        => "fields/wpml/translations/custom/data",
                                                                                                "type"        => "textarea",
                                                                                                "hint"        => static::getHints( $type ),
                                                                                        ],
                                                                                ]
                                                                        ]
                                                                ],
                                                        ],
                                                ],
                                        ]
                                ]
                        ]
                ];
        }

        
        public static function getHints( $type = '' ) {

                $hint = [ [ "text" => __( 'Recommended', 'wp-import-export' ) ] ];

                if ( 'post' === $type ) {
                        $hint[] = [ "text" => __( 'Enter Title, Content or Slug', 'wp-import-export' ) ];
                } else {
                        $hint[] = [ "text" => __( 'Enter Name or Slug', 'wp-import-export' ) ];
                }

                return $hint;
        }
}
