<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\AutoDetect as Base;

defined( 'WPIE__FILE__' ) || exit;


class AutoDetect {

        
        public static function processField( $field = '' ) {

                static::updateGeneral( $field );
                static::updateSocial( $field );
                static::updateAdvanced( $field );
        }

        
        public static function update( $path = '', $value = '' ) {

                Base::update( $path, $value );
        }
        
         
        protected static function updateGeneral( $field = "" ) {


                $fields = [
                        'seotitle'                => 'title',
                        'seodescription'          => 'metadesc',
                        'seofocuskeyphrase'       => 'focuskeywords',
                        'seorelatedkeyphrases'    => 'relatedkeyphrases',
                        'seokeyphrasesynonyms'    => 'keyphrasesynonyms',
                        'seoiscornerstonecontent' => 'is_cornerstone',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'yoastseo/general/' . $fields[ $field ], $field );
        }

        
        protected static function updateSocial( $field = "" ) {

                $fields = [
                        'seofacebooktitle'       => 'facebook_title',
                        'seofacebookdescription' => 'facebook_description',
                        'seofacebookimage'       => 'facebook_image',
                        'seotwittertitle'        => 'twitter_title',
                        'seotwitterdescription'  => 'twitter_description',
                        'seotwitterimage'        => 'twitter_image',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'yoastseo/social/' . $fields[ $field ], $field );
        }

        
        protected static function updateAdvanced( $field = "" ) {

                $fields = [
                        "seorobotsnofollow"     => "nofollow",
                        "seorobotsnoarchive"    => "noarchive",
                        "seorobotsnoimageindex" => "noimageindex",
                        "seorobotsnosnippet"    => "nosnippet",
                        "seorobotsnoindex"      => "noindex",
                        "seobreadcrumbstitle"   => "breadcrumbs_title",
                        "seocanonicalurl"       => "canonical_url",
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'yoastseo/advanced/' . $fields[ $field ], $field );
        }
}
