<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Engines;

use WPSEO_Meta;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Engines\Advanced as Base;

defined( 'WPIE__FILE__' ) || exit;


class Advanced extends Base {

        
        public static function get() {

                $data = parent::get();

                $data = array_merge( $data, self::getRobots() );

                if ( DataCenter::canUpdate( 'yoastseo/advanced/nofollow' ) ) {

                        $nofollow = DataCenter::get( "yoastseo/advanced/nofollow/data" );

                        $data[ 'meta-robots-nofollow' ] = Helper::detectBoolVal( $nofollow ) === false ? "0" : "1";
                }

                return $data;
        }

        
        private static function getRobots() {

                $key = 'meta-robots-adv';

                $fields = [ "noarchive", "noimageindex", "nosnippet" ];

                $dbRobots = DataCenter::isNewItem() ? [] : WPSEO_Meta::get_value( $key, DataCenter::getId() );

                $robots = Helper::isNonEmptyStr( $dbRobots ) ? Helper::strToArr( $dbRobots ) : [];

                foreach ( $fields as $field ) {

                        if ( !DataCenter::canUpdate( 'yoastseo/advanced/' . $field ) ) {
                                continue;
                        }

                        $robotsData = Helper::detectBoolVal( DataCenter::get( "yoastseo/advanced/" . $field . "/data" ) );

                        $robots = (false === $robotsData) ? \array_diff( $robots, [ $field ] ) : \array_merge( $robots, [ $field ] );
                }

                return [ $key => Helper::arrTostr( \array_unique( $robots ) ) ];
        }
}
