<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Term;

use WPSEO_Taxonomy_Meta;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Term\DataCenter;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Term\Engines\General;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Term\Engines\Social;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Term\Engines\Advanced;

defined( 'WPIE__FILE__' ) || exit;


class Engine {

        
        public static function init() {

                WPSEO_Taxonomy_Meta::set_values( DataCenter::getId(), DataCenter::getItem()->taxonomy, self::getData() );
        }

        
        private static function getData() {

                $data = \array_merge(
                        General::get(),
                        Social::get(),
                        Advanced::get()
                );

                if ( !Helper::isNonEmptyArray( $data ) ) {
                        return [];
                }

                $replace = [
                        'metadesc'            => 'desc',
                        'meta-robots-noindex' => 'noindex',
                ];

                $prefix = 'wpseo_';

                $validData = [];

                foreach ( $data as $key => $val ) {

                        if ( isset( $replace[ $key ] ) ) {
                                $key = $replace[ $key ];
                        }

                        $validData[ $prefix . $key ] = $val;
                }

                unset( $data, $prefix, $replace );

                return $validData;
        }
}
