<?php



namespace WpieApp\Modules\Addons\View\Addons;

defined( 'WPIE__FILE__' ) || exit;


class Export {

        
        public static function getBlocks() {

                
                return \apply_filters(
                        'Wpie/Modules/Addons/View/Addons/Export',
                        [
                                "title"  => __( 'Export Addons', 'wp-import-export' ),
                                "order"  => 20,
                                "desc"   => __( 'Export Addon List', 'wp-import-export' ),
                                "fields" => [
                                        "pro-addons"  => [
                                                "order"      => 10,
                                                "label"      => __( 'Premium Addons', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "addons" => [
                                                                "type"  => "addons",
                                                                "data"  => self::getPremiumAddons(),
                                                                "order" => 10,
                                                        ]
                                                ],
                                        ],
                                        "free-addons" => [
                                                "order"      => 20,
                                                "label"      => __( 'Free Addons', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "addons" => [
                                                                "type"  => "addons",
                                                                "order" => 20,
                                                                "data"  => self::getFreeAddons(),
                                                        ]
                                                ],
                                        ],
                                ]
                        ]
                );
        }

        
        public static function getPremiumAddons() {

                $addons = [
                        'wc'             => [
                                "title"       => __( 'WooCommerce', 'wp-import-export' ),
                                "order"       => 10,
                                "isPro"       => true,
                                "required"    => [
                                        'plugin'  => 'WooCommerce',
                                        'version' => '3.4',
                                ],
                                "description" => __( 'Export Products, Orders, Product Categories and coupons from WordPress Site', 'wp-import-export' ),
                        ],
                        'schedules'      => [
                                "title"       => __( 'Schedules', 'wp-import-export' ),
                                "order"       => 20,
                                "isPro"       => true,
                                "description" => __( 'Export automatically and periodically from WordPress Site', 'wp-import-export' ),
                        ],
                        'acf'            => [
                                "title"       => __( 'ACF / ACF Pro', 'wp-import-export' ),
                                "order"       => 30,
                                "isPro"       => true,
                                "required"    => [
                                        'plugin'  => 'acf',
                                        'label'   => 'ACF / ACF Pro',
                                        'version' => '5.8',
                                ],
                                "description" => __( 'Export Advanced Custom Fields from WordPress Site', 'wp-import-export' ),
                        ],
                        'wpml'           => [
                                "title"       => __( 'WPML', 'wp-import-export' ),
                                "order"       => 40,
                                "isPro"       => true,
                                "required"    => [
                                        'plugin'  => 'WPML',
                                        'label'   => 'WPML',
                                        'version' => '4.3',
                                ],
                                "description" => __( 'Export multilingual content from WordPress Site', 'wp-import-export' ),
                        ],
                        'polylang'       => [
                                "title"       => __( 'Polylang', 'wp-import-export' ),
                                "order"       => 50,
                                "isPro"       => true,
                                "required"    => [
                                        'plugin'  => 'Polylang',
                                        'label'   => 'Polylang',
                                        'version' => '2.6',
                                ],
                                "description" => __( 'Export multilingual content from WordPress Site', 'wp-import-export' ),
                        ],
                        'rank-math'      => [
                                "title"       => __( 'RankMath SEO', 'wp-import-export' ),
                                "order"       => 60,
                                "isPro"       => true,
                                "description" => __( 'Export RankMath SEO Settings from WordPress Site', 'wp-import-export' ),
                                "required"    => [
                                        'plugin'  => 'rankmathseo',
                                        'label'   => 'RankMath SEO',
                                        'version' => '1.0.57',
                                ],
                        ],
                        'all-in-one-seo' => [
                                "title"       => __( 'All In One SEO', 'wp-import-export' ),
                                "order"       => 70,
                                "isPro"       => true,
                                "required"    => [
                                        'plugin'  => 'AllInOneSeo',
                                        'label'   => 'All In One SEO',
                                        'version' => '4.0.3',
                                ],
                                "description" => __( 'Export All In One SEO Settings from WordPress Site', 'wp-import-export' ),
                        ],
                ];

                return $addons;
        }

        
        public static function getFreeAddons() {

                $addons = [
                        'background' => [
                                "title"       => __( 'Background', 'wp-import-export' ),
                                "order"       => 10,
                                "isPro"       => false,
                                "description" => __( 'Export in Background from WordPress Site', 'wp-import-export' ),
                        ],
                        'yoast'      => [
                                "title"       => __( 'Yoast SEO', 'wp-import-export' ),
                                "order"       => 20,
                                "isPro"       => false,
                                "description" => __( 'Export Yoast SEO Settings from WordPress Site', 'wp-import-export' ),
                                "required"    => [
                                        'plugin'  => 'yoastseo',
                                        'label'   => 'Yoast Seo',
                                        'version' => '15.0',
                                ],
                        ],
                        'user'       => [
                                "title"       => __( 'User', 'wp-import-export' ),
                                "order"       => 30,
                                "isPro"       => false,
                                "description" => __( "Export Users & User's metadata from WordPress Site", 'wp-import-export' ),
                        ]
                ];

                return $addons;
        }
}
