<?php



namespace WpieApp\Modules\Debug\View\Logs;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Debug {

        
        private static $file;

        
        public static function getBlocks() {

                self::$file = WP_CONTENT_DIR . DIRECTORY_SEPARATOR . "debug.log";

                if ( !Helper::getFilesystem()->exists( self::$file ) || Helper::getFilesystem()->size( self::$file ) === 0 ) {
                        return [];
                }

                
                return \apply_filters(
                        'Wpie/Modules/Debug/View/Error',
                        [
                                "title"  => __( 'WP Debug', 'wp-import-export' ),
                                "order"  => 30,
                                "desc"   => __( 'WP Debug Logs', 'wp-import-export' ),
                                "fields" => [
                                        "keep-records" => [
                                                "order"      => 10,
                                                "label"      => __( 'Manage WP Debug Logs', 'wp-import-export' ),
                                                "sub-fields" => self::getFields()
                                        ]
                                ]
                        ]
                );
        }

        
        public static function getFields() {

                $fields = [
                        "records"         => [
                                "type"  => "debug-log-file",
                                "order" => 10
                        ],
                        "download-button" => [
                                "col-class"  => "col-auto",
                                "type"       => "button",
                                "order"      => 130,
                                "label"      => __( 'Download', 'wp-import-export' ),
                                "icon-class" => "fa-solid fa-download",
                                "class"      => "wpie-download-debug-log-btn btn-primary",
                        ],
                        "field-view"      => [
                                "type"        => "blank",
                                "order"       => 99999,
                                "outer-class" => "wpie-debug-log-view d-none mt-5 bse-fs-12",
                        ]
                ];

                $maxSize = 500 * 1024 ; // 500KB in bytes

                if ( Helper::getFilesystem()->size( self::$file ) < $maxSize ) {
                        $fields[ 'view-button' ] = [
                                "col-class"   => "col-auto",
                                "outer-class" => "wpie-view-debug-log-btn-wrapper",
                                "type"        => "button",
                                "order"       => 120,
                                "label"       => __( 'View', 'wp-import-export' ),
                                "icon-class"  => "fa-solid fa-eye",
                                "class"       => "wpie-view-debug-log-btn btn-primary",
                        ];
                }

                return $fields;
        }
}
