<?php



namespace WpieApp\Modules\Debug\View\Logs;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Error {

        
        public static function getBlocks() {

                $files = self::getFiles();

                if ( !Helper::isNonEmptyArray( $files ) ) {
                        return [];
                }

                
                return \apply_filters(
                        'Wpie/Modules/Debug/View/Debug',
                        [
                                "title"  => __( 'Error Log', 'wp-import-export' ),
                                "order"  => 20,
                                "desc"   => __( 'Manage Error Logs', 'wp-import-export' ),
                                "fields" => [
                                        "keep-records" => [
                                                "order"      => 10,
                                                "label"      => __( 'Manage Error Logs', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "records"         => [
                                                                "type"        => "select",
                                                                "order"       => 10,
                                                                "class"       => "wpie-error-log-data",
                                                                "value"       => "",
                                                                "placeholder" => __( 'Select any log file', 'wp-import-export' ),
                                                                "choices"     => $files,
                                                        ],
                                                        "view-button"     => [
                                                                "col-class"  => "col-auto",
                                                                "type"       => "button",
                                                                "order"      => 120,
                                                                "label"      => __( 'View', 'wp-import-export' ),
                                                                "icon-class" => "fa-solid fa-eye",
                                                                "class"      => "wpie-view-error-log-btn btn-primary",
                                                        ],
                                                        "download-button" => [
                                                                "col-class"  => "col-auto",
                                                                "type"       => "button",
                                                                "order"      => 130,
                                                                "label"      => __( 'Download', 'wp-import-export' ),
                                                                "icon-class" => "fa-solid fa-download",
                                                                "class"      => "wpie-download-error-log-btn btn-primary",
                                                        ],
                                                        "delete-button"   => [
                                                                "col-class"  => "col-auto",
                                                                "type"       => "button",
                                                                "order"      => 140,
                                                                "label"      => __( 'Delete', 'wp-import-export' ),
                                                                "icon-class" => "fa-solid fa-xmark",
                                                                "class"      => "wpie-delete-error-log-btn btn-danger",
                                                        ],
                                                        "field-view"      => [
                                                                "type"        => "blank",
                                                                "order"       => 99999,
                                                                "outer-class" => "wpie-error-log-view d-none mt-5 bse-fs-12",
                                                        ]
                                                ],
                                        ],
                                ]
                        ]
                );
        }

        
        private static function getFiles() {

                $files = scandir( WPIE_LOG_DIR );

                $debugFiles = Helper::isNonEmptyArray( $files ) ? array_diff( $files, [ '.', '..', '.htaccess', 'index.html' ] ) : [];

                if ( !Helper::isNonEmptyArray( $debugFiles ) ) {
                        return [];
                }

                $fileList = [];

                foreach ( $debugFiles as $file ) {

                        if ( Helper::getFilesystem()->size( WPIE_LOG_DIR . DIRECTORY_SEPARATOR . $file ) === 0 ) {
                                continue;
                        }

                        $fileList[ $file ] = $file;
                }

                if ( Helper::isNonEmptyArray( $fileList ) ) {
                        arsort( $fileList );
                }

                return $fileList;
        }
}
