<?php



namespace WpieApp\Modules\Export\Controller\Items\Taxonomy;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\DataCenters\Base;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\DataCenters\Standard;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\DataCenters\Parents;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\DataCenters\Meta;

defined( 'WPIE__FILE__' ) || exit;


class DataCenter extends Base  {

        
        protected static function setItem() {

                self::$item = \get_term_by( "id", self::$id, Settings::getContentType() );

                if ( !self::$item ) {
                        return false;
                }
                return true;
        }

        
        protected static function processData() {

                $type = self::getFieldOption( "type" );

                $data = "";

                switch ( $type ) {

                        case 'standard':
                                $data = Standard::getField();
                                break;
                        case 'parents':
                                $data = Parents::getField();
                                break;
                        case 'meta':
                                $data = Meta::getField();
                                break;
                }

                
                return \apply_filters( 'Wpie/Export/Taxonomy/Data', $data, $type );
        }

}
