<?php



namespace WpieApp\Modules\Export\Controller\Items\User\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Standard implements InterfaceField {

        
        const FIELD_TYPE = "standard";

        
        public static function get() {

                $fields = [
                        "title"    => \esc_html__( "Standard", 'wp-import-export' ),
                        "priority" => 10,
                        "data"     => [
                                [ 'label' => 'ID', 'type' => self::FIELD_TYPE, 'element' => 'ID' ],
                                [ 'label' => 'Login', 'type' => self::FIELD_TYPE, 'element' => 'user_login' ],
                                [ 'label' => 'Password', 'type' => self::FIELD_TYPE, 'element' => 'user_pass', 'isFiltered' => false ],
                                [ 'label' => 'Email', 'type' => self::FIELD_TYPE, 'element' => 'user_email' ],
                                [ 'label' => 'Role', 'type' => self::FIELD_TYPE, 'element' => 'user_role', 'comparison' => [ 'string' ] ],
                                [ 'label' => 'Capabilities', 'type' => self::FIELD_TYPE, 'element' => 'caps', 'isFiltered' => false ],
                                [ 'label' => 'First Name', 'type' => Meta::FIELD_TYPE, 'element' => 'first_name' ],
                                [ 'label' => 'Last Name', 'type' => Meta::FIELD_TYPE, 'element' => 'last_name' ],
                                [ 'label' => 'Registered Date', 'type' => self::FIELD_TYPE, 'element' => 'user_registered', 'isDate' => true ],
                                [ 'label' => 'Nicename', 'type' => self::FIELD_TYPE, 'element' => 'user_nicename' ],
                                [ 'label' => 'Website', 'type' => self::FIELD_TYPE, 'element' => 'user_url' ],
                                [ 'label' => 'Display Name', 'type' => self::FIELD_TYPE, 'element' => 'display_name' ],
                                [ 'label' => 'Nickname', 'type' => Meta::FIELD_TYPE, 'element' => 'nickname' ],
                                [ 'label' => 'Biographical Info', 'type' => Meta::FIELD_TYPE, 'element' => 'description' ],
                                [ 'label' => 'Activation Key', 'type' => self::FIELD_TYPE, 'element' => 'user_activation_key' ],
                                [ 'label' => 'Status', 'type' => self::FIELD_TYPE, 'element' => 'user_status' ],
                                [ 'label' => 'Language', 'type' => Meta::FIELD_TYPE, 'element' => 'locale' ],
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/User/Fields/Standard', $fields, Settings::getContentType() );
        }

}
