<?php



namespace WpieApp\Modules\Import\Controller\ContentType;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Term Extends Base {

        
        protected static $category = 'taxonomies';

        
        protected static $filePrefix = 'category';

        
        protected static $contentType = 'category';

        
        protected static $fields = [ 'taxonomy', 'postcount' ];

        
        public static function processData() {

                $isSuccess = false;

                if ( isset( parent::$data[ 'taxonomy' ] ) && Helper::isNonEmptyStr( parent::$data[ 'taxonomy' ] ) ) {
                        $isSuccess = self::set( parent::$data[ 'taxonomy' ] );
                }

                if ( false === $isSuccess ) {
                        $isSuccess = self::setByFilename();
                }

                return $isSuccess;
        }

        
        public static function set( $type = '' ) {

                if ( in_array( $type, [ 'post_tag', 'category' ] ) ) {
                        self::$contentType = $type;
                        return true;
                }

                $rawTaxonomy = Helper::getSupportedTaxonomies();

                if ( isset( $rawTaxonomy[ $type ] ) ) {
                        self::$contentType = $type;
                        return true;
                }

                return false;
        }

        
        public static function setByFilename() {

                $name = Settings::get( 'file' );

                if ( Helper::strStartsWith( 'post_tag', strtolower( $name ) ) ) {
                        self::$contentType = 'post_tag';
                        self::setContentType();
                        return true;
                }
                if ( Helper::strStartsWith( 'category', strtolower( $name ) ) ) {
                        self::$contentType = 'category';
                        self::setContentType();
                        return true;
                }


                $isSuccess = false;

                $rawTaxonomy = Helper::getSupportedTaxonomies();

                foreach ( $rawTaxonomy as $key => $label ) {

                        if ( Helper::strStartsWith( strtolower( $label ), strtolower( $name ) ) ) {
                                self::$contentType = $key;
                                $isSuccess         = true;
                                break;
                        }
                }

                if ( $isSuccess ) {
                        self::setContentType();
                }


                return $isSuccess;
        }
}
