<?php



namespace WpieApp\Modules\Import\Controller\File\Downloader\Url\Downloader\Headers;

use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Standard {

        
        public static function get( $uri ) {

                $headers = @get_headers( $uri, 1 );

                if ( !Helper::isNonEmptyArray( $headers ) ) {
                        return false;
                }

                return self::fixHeaders( $headers );
        }

        
        private static function fixHeaders( $headers = [] ) {

                $data       = [];
                $mainHeader = "";

                foreach ( $headers as $key => $value ) {

                        if ( is_int( $key ) ) {
                                $mainHeader = $value;
                                continue;
                        } elseif ( is_array( $value ) ) {
                                $value = end( $value );
                        }
                        $key = strtolower( $key );

                        $value = preg_replace( '#(\s+)#i', ' ', $value );

                        $data[ $key ] = $value;
                }



                $parts = \explode( ' ', $mainHeader, 3 );

                $status = isset( $parts[ 1 ] ) ? Helper::toInt( $parts[ 1 ] ) : 0;

                if ( $status === 400 || $status >= 500 ) {
                        $errorMsg = isset( $parts[ 2 ] ) && Helper::isNonEmptyStr( $parts[ 2 ] ) ? $parts[ 2 ] : __( "Something Wrong", 'wp-import-export' );
                        return new WP_Error( 'wpieError', $errorMsg );
                }

                if ( $status !== 200 ) {
                        return false;
                }

                return [
                        'content-type'        => isset( $data[ 'content-type' ] ) ? $data[ 'content-type' ] : "",
                        'content-disposition' => isset( $data[ 'content-disposition' ] ) ? $data[ 'content-disposition' ] : ""
                ];
        }
}
