<?php



namespace WpieApp\Modules\Import\Controller\File\Downloader\Url;

use WP_Error;
use GuzzleHttp\Client;
use Psr\Http\Message\ResponseInterface;
use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Headers {

	
	Private static $url;

	
	Private static $timeout = 30;

	
	Private static $redirection = 10;

	
	Private static $sslverify = false;

	
	public static function get( $url = "" ) {

		$isConnect = self::connect();
		if ( is_wp_error( $isConnect ) ) {
			return $isConnect;
		}
		return parent::Download();
	}

	
	private static function byPhp() {

		$headers = @get_headers( self::$url, 1 );

		if ( !Helper::isNonEmptyArray( $headers ) ) {
			return false;
		}

		if ( (isset( $headers[ 0 ] ) && Helper::contains( $headers[ 0 ], "403" ) !== false ) ) {
			return false;
		}

		return $headers;
	}

	
	private static function byWp() {

		$response = wp_safe_remote_head( self::$url, [ 'timeout' => 30, 'redirection' => 10, 'sslverify' => false ] );

		if ( is_wp_error( $response ) ) {
			return false;
		}
		return $response;
	}

	
	private static function byGuzzle() {

		$client = new Client();

		$client->request( 'GET', self::$url,
			[
				'verify'	 => false,
				'timeout'	 => self::$timeout,
				'on_headers'	 => function ( ResponseInterface $response ) {
					if ( $response->getHeaderLine( 'Content-Length' ) > 1024 ) {
						throw new \Exception( 'The file is too big!' );
					}
				}
			]
		);
		return $response;
	}

}
