<?php



namespace WpieApp\Modules\Import\Controller\Items\Base\Fields\Image;

use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class AltText {

	
	public static function getBlocks() {

		return [
			"title"	 => __( 'AltText', 'wp-import-export' ),
			"desc"	 => __( 'Image AltText', 'wp-import-export' ),
			"order"	 => 40,
			"uid"	 => Helper::randStr( "wpie-field-" ),
			"fields" => [
				"item-alttext"	 => [
					"order"		 => 20,
					"label"		 => __( 'Image Alt Text', 'wp-import-export' ),
					"sub-fields"	 => [
						"item-data" => [
							"description"	 => __( 'Image AltText', 'wp-import-export' ),
							"type"		 => "textarea",
							"class"		 => "wpie-image-alttext",
							"order"		 => 20,
							"name"		 => "fields/images/alttext/data",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Only new images will be affected. Existing images will be unaffected.', 'wp-import-export' ), 'class' => 'text-danger' ]
                                                        ]
						]
					],
				],
				"item-separator" => [
					"order"		 => 30,
					"label"		 => __( 'Image AltText separator', 'wp-import-export' ),
					"sub-fields"	 => [
						"item-alttext-separator" => [
							"description"	 => __( 'each Image AltText separated by', 'wp-import-export' ),
							"type"		 => "text",
							"class"		 => "wpie-image-alttext-separator",
							"order"		 => 30,
							"name"		 => "fields/images/alttext/separator",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Default : ||', 'wp-import-export' ) ]
                                                        ]
						],
					],
				],
			]
		];
	}

}
