<?php



namespace WpieApp\Modules\Import\Controller\Items\Comment\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Import\Controller\Items\Comment\Fields\Post\PostData;
use WpieApp\Modules\Import\Controller\Items\Comment\Fields\Post\Options;

defined( 'WPIE__FILE__' ) || exit;


class Post implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/Comment/Fields/Post', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"           => __( 'Post', 'wp-import-export' ),
                        "class"           => "wpie-post-fields",
                        "order"           => 15,
                        "hide-bulk-check" => true,
                        "blocks"          => [
                                "post/post_data" => PostData::getBlocks(),
                                "post/options"   => Options::getBlocks(),
                        ]
                ];
        }

}
