<?php



namespace WpieApp\Modules\Import\Controller\Items\Post\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Standard\Title;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Standard\Content;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Standard\Excerpt;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Standard\Date;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Standard\Slug;

defined( 'WPIE__FILE__' ) || exit;


class Standard implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/Post/Fields/Standard', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Standard', 'wp-import-export' ),
                        "class"  => "wpie-standard-fields",
                        "order"  => 10,
                        "blocks" => [
                                "standard/title"   => Title::getBlocks(),
                                "standard/content" => Content::getBlocks(),
                                "standard/excerpt" => Excerpt::getBlocks(),
                                "standard/date"    => Date::getBlocks(),
                                "standard/slug"    => Slug::getBlocks(),
                        ]
                ];
        }

}
