<?php



namespace WpieApp\Modules\Import\Controller\Items\Term\Fields;

use WpieApp\Modules\Import\Controller\Items\Term\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Import\Controller\Items\Term\Fields\Parents\TermParent;

defined( 'WPIE__FILE__' ) || exit;


class Parents implements InterfaceField {

        
        public static function get() {

                $contentType = Settings::getTaxonomy();

                if ( !\is_taxonomy_hierarchical( $contentType ) ) {
                        return [];
                }

                
                return \apply_filters( 'Wpie/Import/Term/Fields/Parents', static::getFields(), $contentType );
        }

        
        public static function getFields() {

                return [
                        "label"           => __( 'Parents', 'wp-import-export' ),
                        "class"           => "wpie-parents-fields",
                        "order"           => 20,
                        "notes"           => self::getNotes(),
                        "hide-bulk-check" => true,
                        "blocks"          => [
                                "parent/item" => TermParent::getBlocks(),
                        ]
                ];
        }

        
        public static function getNotes() {

                return [
                        [
                                "type"       => "danger",
                                "icon-class" => "fa-solid fa-triangle-exclamation",
                                "text"       => __( 'Note : At least fill a single field to detect parent. Fill all fields for accurate result, if you have data', 'wp-import-export' ),
                        ]
                ];
        }
}
