<?php



namespace WpieApp\Modules\Import\Controller\Items\Term\Fields\Standard;

use WpieApp\Modules\Import\Controller\Items\Term\Settings;
use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Slug {

        
        public static function getBlocks() {

                $contentType = Settings::getTaxonomyLabel();

                return [
                        "title"  => __( 'Slug', 'wp-import-export' ),
                        /* translators: %s: content type */
                        "desc"   => sprintf( __( '%s Slug', 'wp-import-export' ), $contentType ),
                        "order"  => 20,
                        "fields" => [
                                "slug" => [
                                        "order"      => 10,
                                        /* translators: %s: content type */
                                        "label"      => sprintf( __( '%s Slug', 'wp-import-export' ), $contentType ),
                                        "sub-fields" => [
                                                "slug" => [
                                                        /* translators: %s: content type */
                                                        "description" => sprintf( __( '%s Slug', 'wp-import-export' ), $contentType ),
                                                        "name"        => "fields/standard/slug/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Recommended', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Default : Auto generated', 'wp-import-export' ) ],
                                                                /* translators: %s: content type */
                                                                [ 'text' => sprintf( __( 'Leave empty for auto generate %s slug', 'wp-import-export' ), $contentType ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
