<?php



namespace WpieApp\Modules\Import\View\FieldMapping;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function get() {

                
                return \apply_filters(
                        'Wpie/Modules/Import/View/FieldMapping',
                        [
                                "class"          => "wpie-field-mapping-wrapper d-none",
                                "contentType"    => Settings::getContentLabel(),
                                "groupClass"     => "wpie-field-mapping",
                                "template"       => "Mapping",
                                "order"          => 20,
                                "title"          => __( "Field Mapping", 'wp-import-export' ),
                                "notes"          => self::getNotes(),
                                "setting-blocks" => [
                                        "class"  => "wpie-load-settings-wrapper",
                                        "order"  => 5,
                                        "blocks" => [
                                                "settings" => ManageSettings::getBlocks(),
                                        ]
                                ]
                        ]
                );
        }

        
        public static function getNotes() {

                
                return \apply_filters(
                        'Wpie/Modules/Import/View/FileSetup/Notes',
                        [
                                [
                                        "type"       => "primary",
                                        "icon-class" => "fa-solid fa-circle-info ",
                                        "class"      => 'me-3',
                                        "text"       => __( "If the file is exported using the same plugin, all fields will be automatically mapped", 'wp-import-export' ),
                                ],
                                [
                                        "type"       => "primary",
                                        "icon-class" => "fa-solid fa-circle-info ",
                                        "class"      => 'me-3',
                                        "text"       => __( "If you're using a custom file, the plugin auto-maps certain fields, while others must be mapped manually", 'wp-import-export' ),
                                ]
                        ]
                );
        }
}
