<?php



namespace WpieApp\Modules\Import\View\FileSetup;

defined( 'WPIE__FILE__' ) || exit;


class Sftp {

        
        public static function getBlocks() {

                
                return \apply_filters(
                        'Wpie/Modules/Import/View/FileSetup/Sftp',
                        [
                                "title"        => __( 'From SFTP', 'wp-import-export' ),
                                "desc"         => __( 'Download file from SFTP', 'wp-import-export' ),
                                "order"        => 60,
                                "pro-backdrop" => WPIE_PRO ? false : true,
                                "notes"        => self::getNotes(),
                                "fields"       => [
                                        "server"        => [
                                                "order"      => 5,
                                                "label"      => __( 'Server', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        [
                                                                "type"        => "text",
                                                                "order"       => 5,
                                                                "class"       => "wpie-sftp-server",
                                                                "description" => __( 'SFTP Server', 'wp-import-export' ),
                                                                "hint"        => [
                                                                        [ "text" => __( 'Example : demo.com', 'wp-import-export' ) ]
                                                                ]
                                                        ]
                                                ]
                                        ],
                                        "username"      => [
                                                "order"      => 10,
                                                "label"      => __( 'Username', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        [
                                                                "type"        => "text",
                                                                "order"       => 5,
                                                                "class"       => "wpie-sftp-server-username",
                                                                "description" => __( 'Server Username', 'wp-import-export' )
                                                        ]
                                                ]
                                        ],
                                        "password"      => [
                                                "order"      => 15,
                                                "label"      => __( 'Password', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        [
                                                                "type"        => "text",
                                                                "order"       => 5,
                                                                "class"       => "wpie-sftp-server-password",
                                                                "description" => __( 'Server Password.', 'wp-import-export' ),
                                                                "hint"        => [
                                                                        [ "text" => __( 'Optional if add private key', 'wp-import-export' ) ]
                                                                ]
                                                        ]
                                                ]
                                        ],
                                        "private-key"   => [
                                                "order"      => 15,
                                                "label"      => __( 'Private Key', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        [
                                                                "type"        => "textarea",
                                                                "order"       => 5,
                                                                "class"       => "wpie-sftp-server-private-key",
                                                                "description" => __( 'Server Private Key', 'wp-import-export' ),
                                                                "hint"        => [
                                                                        [ "text" => __( 'Optional if add Password', 'wp-import-export' ) ]
                                                                ]
                                                        ]
                                                ]
                                        ],
                                        "port"          => [
                                                "order"      => 20,
                                                "label"      => __( 'Port', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        [
                                                                "type"        => "text",
                                                                "order"       => 5,
                                                                "default"     => 22,
                                                                "class"       => "wpie-sftp-server-port",
                                                                "description" => __( 'SFTP Port', 'wp-import-export' ),
                                                                "hint"        => [
                                                                        [ "text" => __( 'Default Port : 22', 'wp-import-export' ) ]
                                                                ]
                                                        ],
                                                ]
                                        ],
                                        "path"          => [
                                                "order"      => 25,
                                                "label"      => __( 'File / Directory Path', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        [
                                                                "type"        => "text",
                                                                "order"       => 5,
                                                                "class"       => "wpie-sftp-server-root-path",
                                                                "description" => __( 'Server Path', 'wp-import-export' )
                                                        ]
                                                ]
                                        ],
                                        "submit-button" => [
                                                "order"      => 120,
                                                "sub-fields" => [
                                                        [
                                                                "type"       => "button",
                                                                "order"      => 5,
                                                                "label"      => __( 'Connect', 'wp-import-export' ),
                                                                "icon-class" => "fa-solid fa-link",
                                                                "class"      => "wpie-download-from-sftp-btn btn-primary"
                                                        ],
                                                ]
                                        ],
                                ]
                        ]
                );
        }
        
        public static function getNotes() {

                
                return \apply_filters(
                        'Wpie/Modules/Import/View/FileSetup/Sftp/Notes',
                        [
                                [
                                        "type"       => "info",
                                        "icon-class" => "fa-solid fa-circle-info ",
                                        "class"      => "mb-4 wpie-info-alert",
                                        "text"       => sprintf(
                                                /* translators: Link to the SFTP upload documentation. */
                                                __(
                                                        '<a href="%s" target="_blank" class="wpie-info-alert-link">Click here</a> to learn the step-by-step process for downloading files using SFTP',
                                                        'wp-import-export'
                                                ),
                                                \esc_url( WPIE_DOC_URL . 'downloading-files-using-sftp' )
                                        )
                                ]
                        ]
                );
        }
}
