<?php



namespace WpieApp\Modules\Schedules\View\Schedules;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Settings {

        
        public static function getBlocks() {

                $overloading = Helper::getOption( 'schedule-overloading' );

                
                return \apply_filters(
                        'Wpie/Modules/Schedules/View/Settings',
                        [
                                "title"  => __( 'Settings', 'wp-import-export' ),
                                "order"  => 30,
                                "desc"   => __( 'Settings', 'wp-import-export' ),
                                "fields" => [
                                        "skip-if-running" => [
                                                "order"      => 10,
                                                "label"      => __( 'Overloading', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "skip-new"      => [
                                                                "type"        => "checkbox",
                                                                "order"       => 5,
                                                                "class"       => "wpie-schedule-overloading",
                                                                "is-switch"   => true,
                                                                "default"     => $overloading !== 'no' ? [ "yes" ] : [],
                                                                "choices"     => [ "yes" => "Skip new schedule if existing is running" ],
                                                                "description" => __( 'If existing schedule is running then new schedule will skip. It will prevent site Overloading', 'wp-import-export' ),
                                                        ],
                                                        "submit-button" => [
                                                                "type"       => "button",
                                                                "order"      => 120,
                                                                "label"      => __( 'Save', 'wp-import-export' ),
                                                                "icon-class" => "fa-solid fa-check",
                                                                "class"      => "wpie-save-settings-btn btn-primary",
                                                        ]
                                                ],
                                        ],
                                ]
                        ]
                );
        }
}
