<?php



namespace WpieApp\Modules\Security\Controller;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Core\Admin\SecureUploadDir;

defined( 'WPIE__FILE__' ) || exit;


class Ajax {

        
        public static function addRobotRules() {

                $canAdd = Helper::_post( "canAdd" );

                if ( Helper::toInt( Helper::getOption( 'can_update_robot_txt' ) ) === Helper::toInt( $canAdd ) ) {
                        Helper::ajaxSuccess( __( 'Settings successfully saved', 'wp-import-export' ) );
                }

                Helper::setOption( 'can_update_robot_txt', Helper::toInt( $canAdd ) );

                if ( Helper::toInt( $canAdd ) !== 1 ) {
                        SecureUploadDir::removeRobotsTxt();
                } else {
                        Helper::deleteOption( 'is_updated_robots_txt' );
                        SecureUploadDir::updateRobotsTxt();
                }

                Helper::ajaxSuccess( __( 'Settings successfully saved', 'wp-import-export' ) );
        }

        
        public static function applyHtaccessRules() {

                $canAdd = Helper::_post( "canAdd" );

                if ( Helper::toInt( Helper::getOption( 'can_update_htaccess' ) ) === Helper::toInt( $canAdd ) ) {
                        Helper::ajaxSuccess( __( 'Settings successfully saved', 'wp-import-export' ) );
                }

                Helper::setOption( 'can_update_htaccess', Helper::toInt( $canAdd ) );

                Helper::deleteOption( 'is_flush_rewrite_rules' );

                Helper::ajaxSuccess( __( 'Settings successfully saved', 'wp-import-export' ) );
        }

        
        public static function updateUserAccess() {

                $emails = Helper::_post( "emails" );

                $permissions = Helper::_post( "permissions" );

                Helper::ajaxResponse( User::updateUserAccess( $emails, $permissions ) );
        }

        
        public static function updateUserRoleAccess() {

                $role = Helper::_post( "role" );

                $permissions = Helper::_post( "permissions" );

                Helper::ajaxResponse( User::updateUserRoleAccess( $role, $permissions ) );
        }

        
        public static function getRoleAccess() {

                $role = Helper::_post( "role" );

                $permissions = Helper::_post( "permissions" );

                Helper::ajaxResponse( User::getRoleAccess( $role, $permissions ) );
        }
}
