<?php



namespace WpieApp\Modules\Tools\View\Tools;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Uninstall {

        
        public static function getBlocks() {


                $uninstall = Helper::getOption( 'delete-on-uninstall', '0' );
                
                return \apply_filters(
                        'Wpie/Modules/Tools/View/Uninstall',
                        [
                                "title"  => __( 'Erase data permanently', 'wp-import-export' ),
                                "order"  => 30,
                                "desc"   => __( 'Erase data permanently', 'wp-import-export' ),
                                "fields" => [
                                        "uninstall" => [
                                                "order"      => 10,
                                                "label"      => __( 'Permanently erase data on uninstall', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "uninstall"     => [
                                                                "type"      => "checkbox",
                                                                "order"     => 5,
                                                                "class"     => "wpie-delete-on-uninstall",
                                                                "is-switch" => true,
                                                                "default"   => [ $uninstall ],
                                                                "choices"   => [ '1' => __( 'Delete all stored data upon plugin uninstallation', 'wp-import-export' ) ],
                                                        ],
                                                        "submit-button" => [
                                                                "type"       => "button",
                                                                "order"      => 120,
                                                                "label"      => __( 'Save', 'wp-import-export' ),
                                                                "icon-class" => "fa-solid fa-check",
                                                                "class"      => "wpie-save-uninstall-btn btn-primary",
                                                        ]
                                                ]
                                        ]
                                ]
                        ]
                );
        }
}
