<?php




namespace WpieApp\Providers;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class GlobalTasks {

        
        public static function init() {

                $findGlobalTasksClasses = glob( WPIE_MODULES_DIR . '/*/GlobalTasks.php' );

                $modulesDir = str_replace( '\\', '/', realpath( WPIE_MODULES_DIR ) );

                foreach ( $findGlobalTasksClasses as $globalTasksClass ) {
                        $globalTasksClass = str_replace( '\\', '/', realpath( $globalTasksClass ) );

                        if ( strpos( $globalTasksClass, $modulesDir ) !== 0 ) {
                                continue;
                        }
                        $getModuleName = substr( $globalTasksClass, strlen( rtrim( $modulesDir, '/' ) ) + 1 );
                        $getModuleName = explode( '/', $getModuleName );

                        $moduleName = $getModuleName[ 0 ];

                        $globalTasksClassName = "\\WpieApp\\Modules\\{$moduleName}\\GlobalTasks";

                        if ( !class_exists( $globalTasksClassName ) || !\method_exists( $globalTasksClassName, "init" ) ) {
                                continue;
                        }

                        $globalTasksClassName::init();
                }
        }

}
